<?php
/**
 * $Id: admin.juser.xajax.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
//require_once (JPATH_COMPONENT_ADMINISTRATOR.DS.'includes'.DS.'xajax'.DS.'xajax_core'.DS.'xajax.inc.php');
require_once (JPATH_ROOT.DS.'media'.DS.'mightyextensions'.DS.'xajax'.DS.'xajaxAIO.inc.php');

/*if($mainframe->isAdmin()){
	$xajax = new xajax('index3.php?option=com_juser&no_html=1');
}else{
	$xajax = new xajax('index2.php?option=com_juser&no_html=1');
}*/

function juJcsPublished( $cid, $mode )
{
	$db		       = & JFactory::getDBO();
	$objResponse = new JS_SAFE_xajaxResponse();

	$query =  "  UPDATE #__jcs_user_subscr "
	."\n   SET published = ".$mode
	."\n WHERE id = ".$cid
	;

	$db->setQuery($query);
	$db->query();

	$img_src = JURI::root().'components/com_juser/images/'.( $mode ? 'tick.png' : 'publish_x.png' );

	$innerHTML  = '<a href="javascript: void(0);" onclick = "juJcsPublished('.$cid.', '.($mode ? '0' : '1' ).')">';
	$innerHTML .= '<img id="jcs_published_img_'.$cid.'" src = "'.$img_src.'">';
	$innerHTML .= '</a>';

	$objResponse->assign( 'jcs_published_div_'.$cid, "innerHTML", $innerHTML );
	return $objResponse;
}


function juLoadJcsSubscriptions( $userid )
{
	global $mainframe;
	$db = & JFactory::getDBO();

	$objResponse = new JS_SAFE_xajaxResponse();

	ob_start();
	$db->setQuery('SELECT (TO_DAYS(s.extime) - TO_DAYS(s.created)) AS `days`, p.*,  s.*, s.id as cid
	FROM #__jcs_user_subscr as s
	LEFT  JOIN  #__jcs_plans as p ON s.subscription_id = p.id
	WHERE s.user_id= '.$userid);
	//SELECT TO_DAYS(`extime`) - TO_DAYS(`created`) AS `days_left`  FROM `jos_jcs_user_subscr`  ;
	$user_subscr = $db->loadObjectList();
	$API = JPATH_ROOT.DS.'components'.DS.'com_jcs'.DS.'api.php';
	if(file_exists($API))
	{
		require_once $API;
		if(class_exists('JSMemberApi')) $mapi = new JSMemberApi(); else $mapi = new stdClass();
		if(method_exists($mapi, 'getUserSubscr'))
		{
			$user_subscr = $mapi->getUserSubscr($userid);
			/*print "<pre>";
			print_r($user_subscr);
			print "</pre>";
			exit;*/
		}
	}

  ?>


  	<table class="adminlist">
	<thead>
		<tr><td colspan="10" align="right"><a href="javascript:void(0);" onclick="slider.toggle();is_jcs_showing = -1;"><img src="images/collapseall.png"></a></td></tr>
		<tr>
			<th class="title">
			  <?php echo JText::_('Subscription'); ?>
			</th>
			<th width="1%">
				<?php echo JText::_('Published'); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JText::_('Gateway'); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JText::_('Days Left'); ?>
			</th>
			<th width="1%">
				<?php echo JText::_('Count'); ?>
			</th>
			<th width="1%">
				<?php echo JText::_('Limit'); ?>
			</th>
			<th width="1%">
				<?php echo JText::_('Created'); ?>
			</th>
			<th width="1%">
				<?php echo JText::_('Period'); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JText::_('Price'); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JText::_('ID'); ?>
			</th>
		</tr>
	</thead>
	<?php
	$k = 0;
	foreach ($user_subscr as $row){
		$link 	= JRoute::_( 'index.php?option=com_jcs&controller=users&task=edit&cid[]='. $row->id );
		$published  = '<div id="jcs_published_div_'.$row->id.'">';
		$published .= '<a href="javascript: void(0);" onclick = "juJcsPublished('.$row->id.', '.($row->published ? '0' : '1' ).')">';
		$published .= '<img id="jcs_published_img_'.$row->id.'" src = "images/'.( $row->published ? 'tick.png' : 'publish_x.png' ).'">';
		$published .= '</a>';
		$published .= '</div>';
   ?>
		<tr class="<?php echo "row$k"; ?>">
			<td nowrap="nowrap">
				<a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit Plan' ); ?>">
				<?php echo $row->name; ?>
				</a>
			</td>
			<td align="center" nowrap="nowrap">
				<?php echo $published; ?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->gateway;?>:
				<?php echo $row->gateway_id;?>
			</td>
			<td align="right" nowrap="nowrap">
				<?php echo $row->days;?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->access_count;?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->access_limit;?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->created;?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->ctime;?>:
				<?php echo $row->extime;?>
			</td>
			<td align="right">
				<?php echo $row->price; ?>
			</td>
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</table>
  <?php
  $text = ob_get_contents();
  ob_end_clean();
  if( !$text ){
  	$text = 'Can`t connect with JContent Suscriptions.';
  }

  $objResponse->assign( 'users_jcs_container', "innerHTML", $text );
  $objResponse->script( "sub_show_users_jcs(".$userid.");" );
  return $objResponse;
}

/**
* Rewrite field type params on change type of field
* @param string The name of the field type
*/
function juRewriteTypeParams( $type )
{
	global $mainframe;

	$objResponse = new JS_SAFE_xajaxResponse();

	$param_file	 = JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'field'.DS.'field_params.xml';
	$params = new JParameter( '', $param_file );

	ob_start();
	echo $params->render( 'params', $type );
	$text = ob_get_contents();
	ob_end_clean();

	//$objResponse->alert(  );
	$objResponse->assign( 'type_param_content', "innerHTML", $text );
	//$objResponse->script("Effect.Grow('".$id."');");
	//  $objResponse->assign( 'type_param_content', "innerHTML", $text );
	return $objResponse;
}

function juRemoveExistingAvatar($username)
{
	$objResponse = new JS_SAFE_xajaxResponse();

	$dir = JPATH_ROOT.DS.JU_GENERAL_AVATARS_DIR;
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.file');
	$files = JFolder::files($dir);

	foreach ($files as $file){
		if(substr($file,0,(strlen($file)-strlen(strrchr($file,'.')))) == $username ){
			JFile::delete($dir.DS.$file);
		}
	}

	$objResponse->script(
	'document.getElementById("avatar__tools").innerHTML = "";
   document.getElementById("JU_id_avatar__hidden").value="";'
   );
   return $objResponse;
}

function juRemoveExistingFile( $user_id, $field_id, $alias )
{

	$objResponse = new JS_SAFE_xajaxResponse();
	JUFrame::deleteExistingFile( $user_id, $field_id );

	$objResponse->script(
	'document.getElementById("'.$alias.'_file_tools").innerHTML = "";
     document.getElementById("JU_id_'.$alias.'_hidden").value="";'
     );
     return $objResponse;
}

/**
* Check is unique field value or not
* @param string The name of the field type
*/
function juValidate( $field_alias, $field_id, $user_id, $value, $validation_task )
{

	$db		       = & JFactory::getDBO();
	$objResponse = new JS_SAFE_xajaxResponse();


	$query = "SELECT f. * , f.id as field_id, c.title as cat_title, d.fvalue"
	. "\n       FROM #__juser_extended_fields AS f"
	. "\n  LEFT JOIN #__juser_extended_data   AS d ON f.id = d.field_id AND d.user_id = " . (int) $user_id
	. "\n  LEFT JOIN #__categories            AS c ON c.id = f.catid"
	. "\n      WHERE f.id = " . (int) $field_id
	. "\n   ORDER BY c.ordering, f.ordering"
	;
	$db->setQuery($query);
	$field =$db->loadObjectList();
	$field = $field[0];
	$validation_tasks = explode(',',$validation_task);

	$field_params = new JParameter( $field->params );

	foreach($validation_tasks as $validation_task){
		switch($validation_task){
			case 'unique':
				$msg = JUFrame::validateOnUnique( $field_id, $user_id, $value );
				break;
			case 'validate':
				//$objResponse->alert($field_params->get('validate'));
				//return $objResponse;
				$msg = JUFrame::validateOnValidateExp( $field_params->get( 'validate' ), $field_params->get( 'validate_error_msg' ), $value );
				break;
		}
		if($msg) break;
	}

	if($msg){
		//$objResponse->alert('Hello!!!!');
		$objResponse->script(
		'error = true;
    setFieldMark( "JU_'.$field_alias.'", "'.$msg.'" );
    setFieldState( "'.$field_alias.'", "False" );
    ');

	}else{
		//$objResponse->alert('_________Hello!!!!');
		$objResponse->script(
		'setFieldMark( "JU_'.$field_alias.'", "" );
    setFieldState( "'.$field_alias.'", "True" );'
    );

	}
	return $objResponse;
}

function juValidateUserName( $value, $user_id )
{

	$objResponse = new JS_SAFE_xajaxResponse();
	$unique_msg = JUFrame::isUsernameUnique( $value, $user_id );

	if($unique_msg){
		$objResponse->script(
		'setFieldMark( "username", "'.$unique_msg.'" );
    JU_username_state = "False";'
    );

	}else{
		$objResponse->script(
		'setFieldMark( "username", "" );
    JU_username_state = "True";'
    );

	}
	return $objResponse;
}

function juValidateEmail( $value, $user_id )
{

	$objResponse = new JS_SAFE_xajaxResponse();

	$msg = JUFrame::isEmailUnique ( $value, $user_id );

	if($msg){
		$objResponse->script(
		'error = true;
    setFieldMark( "email", "'.$msg.'" );
    JU_email_state = "False";'
    );

	}else{
		$objResponse->script(
		'error = false;
		setFieldMark( "email", "" );
    JU_email_state = "True";'
    );

	}
	return $objResponse;
}

function juIsUniqueFieldAlias( $id, $alias )
{
	$db		       = & JFactory::getDBO();
	$objResponse = new JS_SAFE_xajaxResponse();

	$query = "SELECT count(*)"
	. "\n       FROM #__juser_extended_fields AS f"
	. "\n      WHERE f.id <> '".(int) $id."' AND f.alias = '".$alias."'"
	;
	$db->setQuery($query);
	$fields_count = $db->loadResult();

	if($fields_count > 0){
		$objResponse->script(
		"document.getElementById('wating_div').style.display = 'none';
     alert('".JText::_('This alias is not unique')."');"
     );
	}	else {
		$objResponse->script( "submitform( global_pressbutton );" );
	}

	return $objResponse;
}

if($mainframe->isAdmin()){
	$JS_SAFE_xajax = new JS_SAFE_xajax('index3.php?option=com_juser&no_html=1');
}else{
	$JS_SAFE_xajax = new JS_SAFE_xajax('index2.php?option=com_juser&no_html=1');
}


$JS_SAFE_xajax->registerFunction("juLoadJcsSubscriptions");
$JS_SAFE_xajax->registerFunction("juRewriteTypeParams");
$JS_SAFE_xajax->registerFunction("juJcsPublished");
$JS_SAFE_xajax->registerFunction("juValidate");
$JS_SAFE_xajax->registerFunction("juValidateEmail");
$JS_SAFE_xajax->registerFunction("juValidateUserName");
$JS_SAFE_xajax->registerFunction("juRemoveExistingFile");
$JS_SAFE_xajax->registerFunction("juRemoveExistingAvatar");
$JS_SAFE_xajax->registerFunction("juIsUniqueFieldAlias");
$JS_SAFE_xajax->processRequest();

//$JS_SAFE_xajax->bDebug = true;
//if($mainframe->isAdmin()){
//	$JS_SAFE_xajax->printJavascript(JURI::root().'administrator/components/com_juser/includes/xajax');
//}
//else{
//	$JS_SAFE_xajax->printJavascript(JURI::root().'components/com_juser/xajax');
//}
	$JS_SAFE_xajax->printJavascript(JURI::root().'media/mightyextensions/xajax');

?>