<?php
/**
 * $Id: fieldmanager.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class JUserControllerFieldmanager extends JUserController
{
  function __construct()
	{

		parent::__construct();
	}

  function display() {

    $task = JRequest::getCmd( 'task' );
    switch($task){
      case 'edit':
      case 'add':
        JRequest::setVar('view', 'field');
		    JRequest::setVar('hidemainmenu', 1);
		    break;
		  default:
  		  JRequest::setVar('view', 'fields');
      break;
    }

    parent::display();
	}

	function publish()   { $this->changePublish(1); }
	function unpublish() { $this->changePublish(0); }

	function changePublish($value)
  {
    global $mainframe;

		$cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
		JArrayHelper::toInteger($cid);

		if (count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select an item to unpublish' ) );
		}

		$model = $this->getModel('field');
		if(!$model->publish($cid, $value)) {
			echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
		}

		$this->setRedirect( 'index.php?option=com_juser&controller=fieldmanager' );
  }

  function remove()
	{
		global $mainframe;

		$cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
		JArrayHelper::toInteger($cid);

		if (count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select an item to delete' ) );
		}

		$model = $this->getModel('field');
		if(!$model->delete($cid)) {
			echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
		}

		$this->setRedirect( 'index.php?option=com_juser&controller=fieldmanager' );
	}

	function orderup()
	{
		$model = $this->getModel('field');
		$model->move(-1);

		$this->setRedirect( 'index.php?option=com_juser&controller=fieldmanager');
	}

	function orderdown()
	{
		$model = $this->getModel('field');
		$model->move(1);

		$this->setRedirect( 'index.php?option=com_juser&controller=fieldmanager');
	}

	function saveorder()
	{
		$cid 	  = JRequest::getVar( 'cid',   array(), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(), 'post', 'array' );
		JArrayHelper::toInteger($cid);
		JArrayHelper::toInteger($order);

		$model = $this->getModel('field');
		$model->saveorder($cid, $order);

		$msg = 'New ordering saved';
		$this->setRedirect( 'index.php?option=com_juser&controller=fieldmanager', $msg );
	}

	function save()
  	{
 	  	$task = JRequest::getCmd( 'task' );

    	$post	= JRequest::get('post');
		$cid	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$post['id'] = (int) $cid[0];

		$model = $this->getModel('field');

		if ($model->store($post)) {
			$msg = JText::_( 'Field Saved' );
		} else {
			$msg = JText::_( 'Error Saving Field' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$model->checkin();

		if($task == 'save'){
		  $link = 'index.php?option=com_juser&controller=fieldmanager';
		}
		elseif($task == 'apply'){
      		$link = 'index.php?option=com_juser&controller=fieldmanager&task=edit&cid[]='.$post['id'];
    	}

		$this->setRedirect($link, $msg);
  	}

  function apply()
  {
    $this->save();
  }

  function accesspublic()     { $this->accessMenu( 0 ); }
  function accessregistered() { $this->accessMenu( 1 ); }
  function accessspecial()    { $this->accessMenu( 2 ); }

  function accessMenu( $access )
  {
  	global $mainframe;
  	$cid	= JRequest::getVar( 'cid', array(0), 'post', 'array' );
    $model = $this->getModel('field');
    $model->changeAccess($cid[0], $access);

  	$mainframe->redirect( 'index.php?option=com_juser&controller=fieldmanager'. $section );
  }
}