<?php
/**
 * $Id: usermanager.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class JUserControllerUsermanager extends JUserController
{
	function __construct()
	{

		parent::__construct();
		$this->registerTask( 'unblock', 'changeUserBlock' );
		$this->registerTask( 'block', 'changeUserBlock' );
		$this->registerTask( 'logout', 'logoutUser' );
		$this->registerTask( 'remove','removeUsers');
		$this->registerTask( 'showmove','showMove');
	}
	function addsubsciptions()
	{
		global $mainframe;
		$cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
		$mainframe->redirect('index.php?option=com_jcs&controller=users&task=edit&user_id='.$cid[0]);
	}


	function display() {


		$task = JRequest::getCmd( 'task' );
		switch($task){
			case 'edit':
			case 'add':
				JRequest::setVar('view', 'user');
				JRequest::setVar('hidemainmenu', 1);
				break;
			default:
				JRequest::setVar('view', 'users');
				break;
		}

		parent::display();
	}

	function apply() { $this->save(); }

	function save()
	{
		global $mainframe;


		JRequest::setVar( 'sendEmail',  JRequest::setVar( 'sendEmail_', '0' ));


		$task 	= JRequest::getCmd( 'task' );
		$option = JRequest::getCmd( 'option');

		// Initialize some variables
		$db			  = & JFactory::getDBO();
		$me			  = & JFactory::getUser();
		$MailFrom	= $mainframe->getCfg('mailfrom');
		$FromName	= $mainframe->getCfg('fromname');
		$SiteName	= $mainframe->getCfg('sitename');

		$model   = $this->getModel('user');
		$oldUser = $model->getData();
		$newUser = &JTable::getInstance('users','Table');

		$original_gid = $oldUser->core_data->gid;



		$post = JRequest::get('post');


		$post['username']	 = JRequest::getVar('username', '', 'post', 'username');
		$post['password']	 = JRequest::getVar('password', '', 'post', 'string', JREQUEST_ALLOWRAW);
		$post['password2'] = JRequest::getVar('password2', '', 'post', 'string', JREQUEST_ALLOWRAW);



		if (!$newUser->_bind($post)){
			$mainframe->redirect( 'index.php?option=com_juser', $newUser->_errorMsg );
			JRequest::setVar( 'task', 'edit');
			return false;
		}

		//the place for checking extended data

		// Are we dealing with a new user which we need to create?
		$isNew 	= ($newUser->get('id') < 1);

		if ($isNew)
		{
			if (JU_REGISTRATION_FORM_REQUNIQUE_EML)
			{
				$sql = "SELECT COUNT(*) FROM #__users WHERE `email` = ".$db->Quote(trim($post['email']));
				$db->setQuery($sql);
				$result = $db->loadResult();
				if ($result > 0)
				{
					$this->setRedirect($_SERVER['HTTP_REFERER'], JText::_("Please provide a unique email"), 'notice');
					return false;
				}
			}

			$sql = "SELECT COUNT(*) FROM #__users WHERE `username` = '".(trim($post['username']))."'";
			$db->setQuery($sql);
			$result = $db->loadResult();
			if ($result > 0)
			{
				$this->setRedirect($_SERVER['HTTP_REFERER'], JText::_("Please provide a unique username"), 'notice');
				return false;
			}

		}


		if (!$isNew){
			// if group has been changed and where original group was a Super Admin

			if ( $newUser->get('gid') != $original_gid && $original_gid == 25 )
			{
				// count number of active super admins
				$query = 'SELECT COUNT( id )'
				. ' FROM #__users'
				. ' WHERE gid = 25'
				. ' AND block = 0'
				;
				$db->setQuery( $query );
				$count = $db->loadResult();

				if ( $count <= 1 )
				{
					// disallow change if only one Super Admin exists
					$mainframe->redirect( 'index.php?option=com_juser', JText::_('WARN_ONLY_SUPER') );
					return false;
				}
			}
			if (JU_REGISTRATION_FORM_REQUNIQUE_EML)
			{
				$sql = "SELECT COUNT(*) FROM #__users WHERE `id` <> ".($newUser->get('id'))." AND `email` = ".$db->Quote(trim($post['email']));
				$db->setQuery($sql);
				$result = $db->loadResult();
				if ($result > 0)
				{
					$this->setRedirect($_SERVER['HTTP_REFERER'], JText::_("Email is already in use by other user"), 'notice');
					return false;
				}
			}
		}

		if(!JMailHelper::isEmailAddress( trim($post['email'])))
		{
			$this->setRedirect($_SERVER['HTTP_REFERER'], JText::_("Provided email is not valid"), 'notice');
			return false;
		}

		/*
		 * Lets save the JUser object
		 */
		if (!$newUser->save()){
			$mainframe->redirect( 'index.php?option=com_juser', $newUser->_errorMsg );
			JRequest::setVar( 'task', 'edit');
			return false;
		}
		$model->_id = $newUser->get('id');

		$user_ext_data = JUFrame::getUserPostData($post);



		JUFrame::putFiles($user_ext_data, $newUser->get('id'));

		if(!$model->saveExtendedData($user_ext_data)){
			$mainframe->redirect( 'index.php?option=com_juser', JText::_('Error extended field data not saved') );
			JRequest::setVar( 'task', 'edit');
			return false;
		}
		else
		{
			JPluginHelper::importPlugin('user');
			$dispatcher = &JDispatcher::getInstance();
			$dispatcher->trigger('onAfterJUserStore', array($newUser, JUFrame::getFieldsForPluginEvent($user_ext_data), $isNew));
			
		}
		/*
		 * Change the user object in the session
		 */


		// Set the usertype based on the ACL group name


		if ( $me->get('id') == $newUser->get('id') ){
			$acl = &JFactory::getACL();
			$grp = $acl->getAroGroup($newUser->get('id'));
			$session	= JFactory::getSession();

			$userToSession = new JUser($newUser->get('id'));
			$userToSession->set('usertype', $grp->name);
			$userToSession->set('guest', 0);
			$userToSession->set('aid', 1);

			// Fudge Authors, Editors, Publishers and Super Administrators into the special access group
			if ($acl->is_group_child_of($grp->name, 'Registered')      ||
			$acl->is_group_child_of($grp->name, 'Public Backend'))    {
				$userToSession->set('aid', 2);
			}

			$session->set('user', $userToSession);
		}


		/*
		 * Time for the email magic so get ready to sprinkle the magic dust...
		 */
		$siteURL = JURI::root();
		if ($isNew)
		{
			$adminEmail = $me->get('email');
			$adminName	= $me->get('name');
			$subject = JText::_('NEW_USER_MESSAGE_SUBJECT');
			$message = JText::_('NEW_USER_MESSAGE');

			$message = str_replace(array('[name]',     '[NAME]'), $newUser->get('name'), $message);
			$message = str_replace(array('[sitename]', '[SITENAME]'), $SiteName, $message);
			$message = str_replace(array('[username]', '[USERNAME]'),$newUser->get('username') , $message);
			$message = str_replace(array('[password]', '[PASSWORD]'),$post['password'] , $message);
			$message = str_replace(array('[siteurl]',  '[SITEURL]'),$siteURL , $message);
			//$newUser->get('name'), $SiteName, $mainframe->getSiteURL(), $newUser->get('username'), $post['password']
			if ($MailFrom != '' && $FromName != '')
			{
				$adminName 	= $FromName;
				$adminEmail = $MailFrom;
			}
			JUtility::sendMail( $adminEmail, $adminName, $newUser->get('email'), $subject, $message, $this->isHtmlMessage($message) );
		}
		if(!$isNew)
		{
			$user = JFactory::getUser($newUser->id);
			if (!$user->block && $user->lastvisitDate == '0000-00-00 00:00:00' && JU_REGISTRATION_FORM_ADMIN_ACTIV)
			{
				$userParams = new JParameter($user->params);
				$this->activationEml($userParams, $user);
			}
		}



		switch ( $task ) {
			case 'apply':
				$msg = JText::sprintf( 'Successfully Saved changes to User', $newUser->get('name') );
				$mainframe->redirect( 'index.php?option=com_juser&task=edit&cid[]='. $newUser->get('id'), $msg );
				break;

			case 'save':
			default:
				$msg = JText::sprintf( 'Successfully Saved User', $newUser->get('name') );
				$mainframe->redirect( 'index.php?option=com_juser', $msg );
				break;
		}
	}

	function removeUsers()
	{


		$db 			    =& JFactory::getDBO();
		$currentUser 	=& JFactory::getUser();
		$acl			    =& JFactory::getACL();
		$cid 			    = JRequest::getVar( 'cid', array(), '', 'array' );
		$model        = &JModel::getInstance("Users", "JUserModel");
		JArrayHelper::toInteger( $cid );

		//$user = &JTable::getInstance('users','Table');

		if (count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select a User to delete', true ) );
		}

		foreach ($cid as $key => $id){
			// check for a super admin ... can't delete them
			$objectID 	= $acl->get_object_id( 'users', $id, 'ARO' );
			$groups     = $acl->get_object_groups( $objectID, 'ARO' );
			$this_group = strtolower( $acl->get_group_name( $groups[0], 'ARO' ) );

			if ( $id == $currentUser->get( 'id' ) ){
				$msg = JText::_( 'You cannot delete Yourself!' );
			}
			else if ( ( $this_group == 'administrator' ) && ( $currentUser->get( 'gid' ) == 24 ) ){
				$msg = JText::_( 'WARNDELETE' );
			}
			else{
				$user = &JUser::getInstance((int)$id);
				$count = null;
				if ( $user->get( 'gid' ) == 25 ){
					// count number of active super admins
					$query = 'SELECT COUNT( id )'
					. ' FROM #__users'
					. ' WHERE gid = 25'
					. ' AND block = 0';
					$db->setQuery( $query );

					$count = $db->loadResult();
				}

				if ( $count <= 1 && $user->get( 'gid' ) == 25 ){
					// cannot delete Super Admin where it is the only one that exists
					$msg = "You can`t delete this Super Administrator as it is the only active Super Administrator for your site";
				}
				else
				{

					// delete user

					$user->delete();
					$model->delete($id);
					$msg = '';

					JRequest::setVar( 'task', 'remove' );
					JRequest::setVar( 'cid', array($id) );

					// delete user acounts active sessions

					$this->logoutUser();
				}
			}
		}
		$this->setRedirect( 'index.php?option=com_juser', $msg);
	}

	function changeUserBlock()
	{
		global $mainframe;
		$task = JRequest::getCmd( 'task' );
		switch($task){
			case 'block':
				$block = 1;
				break;
			case 'unblock':
				$block = 0;
				break;
		}

		$db 			=& JFactory::getDBO();
		$acl			=& JFactory::getACL();
		$currentUser 	=& JFactory::getUser();

		$cid		= JRequest::getVar( 'cid', array(0), '', 'array' );

		JArrayHelper::toInteger( $cid );

		if (count( $cid ) < 1) {
			$action = $block ? 'block' : 'unblock';
			JError::raiseError(500, JText::_( 'Select a User to'.$action, true ) );
		}

		$user =& JTable::getInstance('users','Table');

		$currentLanguageInstance = JFactory::getLanguage();
		foreach ($cid as $id){

			// check for a super admin ... can't delete them
			$objectID 	= $acl->get_object_id( 'users', $id, 'ARO' );
			$groups 	= $acl->get_object_groups( $objectID, 'ARO' );

			$this_group = strtolower( $acl->get_group_name( $groups[0], 'ARO' ) );

			if ( $id == $currentUser->get( 'id' ) )
			{
				$msg = JText::_( 'You cannot block Yourself!' );
			}
			else if ( ( $this_group == 'administrator' ) && ( $currentUser->get( 'gid' ) == 24 ) )
			{
				$msg = JText::_( 'WARNBLOCK' );
			}
			else
			{
				$count = 0;
				//$user = &JFactory::getUser((int)$id);
				$user->load( (int)$id );
				if ( $user->gid == 25 )
				{
					// count number of active super admins
					$query = 'SELECT COUNT( id )'
					. ' FROM #__users'
					. ' WHERE gid = 25'
					. ' AND block = 0'
					;
					$db->setQuery( $query );
					$count = $db->loadResult();
				}
					$userParams = new JParameter($user->params);
				if ( $count <= 1 && $user->get( 'gid' ) == 25 )
				{
					// cannot block Super Admin where it is the only one that exists
					$msg = "You cannot block this Super Administrator as it is the only active Super Administrator for your site";
				}
				else
				{
					if (!$block && $user->lastvisitDate == '0000-00-00 00:00:00' && JU_REGISTRATION_FORM_ADMIN_ACTIV)
					{
						$this->activationEml($userParams, $user);
					}

					$user->block = $block;
					$user->store();

					if($block){
						JRequest::setVar( 'task', 'block' );
						JRequest::setVar( 'cid',   array($id) );

						// delete user acounts active sessions
						$this->logoutUser();
					}
				}
			}
		}
		$this->setRedirect( 'index.php?option=com_juser', $msg );
	}

	function logoutUser( )
	{
		global $currentUser, $mainframe;

		$db     = &JFactory::getDBO();
		$task 	= JRequest::getCmd( 'task' );
		$cids 	= JRequest::getVar( 'cid', array(), '', 'array' );
		$client = JRequest::getVar( 'client', 0, '', 'int' );
		$id     = JRequest::getVar( 'id', 0, '', 'int' );



		JArrayHelper::toInteger($cids);

		if ( count( $cids ) < 1 ) {
			$mainframe->redirect( 'index.php?option=com_juser', JText::_( 'User Deleted' ) );
		}

		foreach($cids as $cid)
		{
			$options = array();

			if ($task == 'logout' || $task == 'block') {
				$options['clientid'][] = 0; //site
				$options['clientid'][] = 1; //administrator
			} else if ($task == 'flogout') {
				$options['clientid'][] = $client;
			}

			$mainframe->logout((int)$cid, $options);
		}


		$msg = JText::_( 'User Session Ended' );
		switch ( $task )
		{
			case 'flogout':
				$mainframe->redirect( 'index.php', $msg );
				break;

			case 'remove':
			case 'block':
				return;
				break;

			default:
				$mainframe->redirect( 'index.php?option=com_juser', $msg );
				break;
		}
	}

	function showMove()
	{
		$cid = JRequest::getVar('cid');
		$append='';
		foreach ($cid as $key => $val) {
			if ($key==0){$append=$val;}
			else {$append.=":".$val;}

		}


		//    $this->setRedirect('index.php?option=com_jcacl&controller=usrgroups&task=showmove&cid='.$append);
		$this->setRedirect('index.php?option=com_juser');
	}
	/**
	 * check if the message is in HTML format he he
	 *
	 * @param string $message
	 * @return int
	 */
	function isHtmlMessage($message)
	{
		if ( JString::strlen($message) != JString::strlen(strip_tags($message)))
		{
			return 1;
		}
		return 0;

	}
	
	function activationEml($userParams, $user)
	{
		global $mainframe;
		//$defaultLang = $currentLanguageInstance->_lang;
		$lang = $userParams->get("language", "en-GB");

		$currentLanguageInstance = JLanguage::getInstance($lang);

		//$currentLanguageInstance->setLanguage($lang);
		//$currentLanguageInstance->load();
		$currentLanguageInstance->load('com_juser');

		///echo JText::_('USER_ACTIVATION_BY_ADMIN');
		//JText::_
		$name     = $user->get('name');
		$string = strtok($name,"\n");
		$name ='';
		while ($string) {
			$name .= ' '.$string;
			$string = strtok("\n");
		}
		$sitename       = $mainframe->getCfg( 'sitename' );
		$mailfrom       = $mainframe->getCfg( 'mailfrom' );
		$fromname       = $mainframe->getCfg( 'fromname' );
		$activation_code = $user->activation;
		
		if (JU_GENERAL_USER_ACTIVATION && $activation_code != 1 && $activation_code)
		{
			$message = $currentLanguageInstance->_(JText::_('SEND_MSG_USER_ACTIVATION_BY_ADMIN_EML'));
			$activation = JURI::root()."index.php?option=com_juser&controller=user&task=activate&activation=".$activation_code;
			//$activation_lnk = JHTML::link($activation, $activation);
			$message = str_replace('[ACTIVATION]', $activation, $message);
		}
		else 
		{
			$message = $currentLanguageInstance->_(JText::_('SEND_MSG_USER_ACTIVATION_BY_ADMIN'));
		}
		$message = str_replace(array('[name]', '[NAME]'), $name, $message);
		$message = str_replace(array('[sitename]', '[SITENAME]'), $sitename, $message);
		//$message = str_replace(array('[activation], [ACTIVATION]'), $siteURL."index.php?option=com_user&task=activate&activation=".$user->get('activation').'&Itemid='.JU_GENERAL_ITEMID, $message);
		$message = str_replace(array('[username]', '[USERNAME]'),$user->username , $message);
		$message = str_replace(array('[siteurl]', '[SITEURL]'),JURI::root() , $message);
		JUtility::sendMail($mailfrom, $fromname,  $user->email,JText::_('Account Activated'), $message,$this->isHtmlMessage($message));
		//function sendMail($from, $fromname, $recipient, $subject, $body, $mode=0, $cc=null, $bcc=null, $attachment=null, $replyto=null, $replytoname=null )
	}
}

?>