<?php
/**
 * $Id: categories.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementCategories extends JElement
{
  /**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
  var	$_categories = null;

  function fetchElement($name, $value, &$node, $control_name)
  {
    $db = &JFactory::getDBO();

    $class		= $node->attributes('class');
    $default	= $node->attributes('default');

    if (!$class)
    {
      $class = "inputbox";
    }
    //$selected = explode( "\n", $row->selected );
    $value = explode("\n", $value);
    $sql = "SELECT cat.id, concat( '(', sec.title, ') ', cat.title ) as title"
          ."\n FROM #__categories AS cat"
          ."\n INNER JOIN #__sections AS sec ON sec.id = cat.section";
    $db->setQuery($sql);
    $rows = $db->loadObjectList();
    foreach($rows AS $row2){
      $categories[] = JHTML::_('select.option',$row2->id, $row2->title);
    }
    $out = JHTML::_('select.genericlist',$categories, ''.$control_name.'['.$name.'][]', 'class="inputbox" size="7" multiple  ', 'value', 'text', $value);

    return $out; //JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="'.$class.'"', 'id', 'title', $value, $control_name.$name );
  }
}
?>