<?php
/**
 * $Id: usersdata.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

// Include library dependencies
jimport('joomla.filter.input');

/**
* JUser Table class
*
* @subpackage	Users_data
* @since 1.0
*/
class TableUsersdata extends JTable
{

	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;

	/**
	 * @var int
	 */
	var $user_id = null;

	/**
	 * @var int
	 */
	var $field_id = null;

	/**
	 * @var text
	 */
	var $fvalue = null;

	/**
	 * Constructor
	 * @param object Database connector object
	 * @since 1.0
	 */
	function __construct(& $db) {
		parent::__construct('#__juser_extended_data', 'id', $db);
	}

	/**
	 * Overloaded check method to ensure data integrity
	 * @return boolean True on success
	 * @since 1.0
	 */
	function _bind($user_id, $field_id, $field_value)
	{
		$db			= & JFactory::getDBO();

		$db->setQuery('Select id FROM #__juser_extended_data WHERE user_id = '.$user_id.' AND field_id = '.$field_id);

		$this->id       = $db->loadResult();
		$sql = "SELECT `type`, `alias` FROM #__juser_extended_fields WHERE `id` = ".$field_id;
		$this->_db->setQuery($sql);
		$fileField = $this->_db->loadObject();
		if ($fileField->type == 'file' && trim(@$_FILES['JU_'.$fileField->alias]['name']) != '')
		{

			$this->fvalue   = JRequest::getVar('username').'_'.@$_FILES['JU_'.$fileField->alias]['name'];
		}
		else
		{
			$this->fvalue   = $field_value;
		}
		if ($fileField->type == 'checkbox')
		{
			if (trim($field_value)== '')
			{
				$this->fvalue = '';
			}
		}
		$this->field_id = $field_id;
		$this->user_id  = $user_id;
		return true;
	}
	
	function _delete($user_id, $field_id){
		$sql = "DELETE FROM #__juser_extended_data WHERE field_id = $field_id AND user_id = $user_id";
		$this->_db->setQuery($sql);
		$this->_db->query();
		return true;
	}

	function check()
	{

		return true;
	}
}
?>