<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class JUserViewConfig extends JView
{
  function display($tpl = null)
  {
    global $mainframe, $option;

    JToolBarHelper::title(   JText::_( 'User Export Configuration' ));
    JToolBarHelper::apply();
    JToolBarHelper::save();
    JToolBarHelper::cancel();

	$bar = & JToolBar::getInstance('toolbar');
	$bar->addButtonPath(JPATH_COMPONENT_ADMINISTRATOR.DS.'libraries'.DS.'button');
	$bar->appendButton( 'JSHelp',  'http://help.joomsuite.com/user/index.html?configuration.htm', 1000, 500 );
	//JToolBarHelper::help();
    JHTML::_('behavior.tooltip');
    JHTML::_('behavior.switcher');

    $uri	  =& JFactory::getURI();
    $ini = '';
    if (JFile::exists(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini'))
    {
    $ini = JFile::read( JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini' );
    }
    else
    {

    	JError::raiseNotice(100,JText::_("JS User Notice: Please Save the Configurations"));
    }

    $com_resource = false;
    if (JFolder::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource'))
    {
      $com_resource = true;
    }
    jimport('joomla.html.pane');
    $config_params = new JParameter( $ini, JPATH_COMPONENT_ADMINISTRATOR.DS.'params.xml' );

   	$this->assignRef( 'config_params', $config_params);
    $this->assignRef( 'request_url',	 $uri->toString());
    $this->assignRef( 'com_resource',	 $com_resource);

    parent::display($tpl);
  }


  function renderParamsGroup( $group_name )
  {
    ?>
    <fieldset class="adminform">
		  <legend><?php echo JText::_( $group_name ); ?></legend>
		  <?php print $this->config_params->render('params',$group_name);?>
		</fieldset>
    <?php
  }
}
?>