<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');

class JUserViewField extends JView
{
	function display($tpl = null)
  {
     $this->_displayForm($tpl);
     parent::display($tpl);
  }

  function _displayForm($tpl)
  {
    global $mainframe, $option;

		$db		  = & JFactory::getDBO();
		$acl	  = & JFactory::getACL();
		$uri 	  = & JFactory::getURI();
		$myuser = & JFactory::getUser();
		$model  = & $this->getModel();

    $cid    = JRequest::getVar('cid', array(0), '', 'array');

		$lists = array();

    //get the user
		$field  =& $this->get('data');
		$isNew  = ($field->id < 1);

		JToolBarHelper::title(   JText::_( 'Field' ).': <small><small>[ '.JText::_('Edit').' ]</small></small>', 'module.png' );
		JToolBarHelper::save();
		JToolBarHelper::apply();
		if ($isNew)  {
			JToolBarHelper::cancel();
		} else {
			// for existing users the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		}
		$bar = & JToolBar::getInstance('toolbar');
		$bar->addButtonPath(JPATH_COMPONENT_ADMINISTRATOR.DS.'libraries'.DS.'button');
		$bar->appendButton( 'JSHelp',  'http://help.joomsuite.com/user/index.html?editing_a_field.htm', 1000, 500 );
		jimport('joomla.filter.output');
		JFilterOutput::objectHTMLSafe( $field, ENT_QUOTES );

		$param_file	= JPATH_COMPONENT.DS.'views'.DS.'field'.DS.'field_params.xml';
		$params     = new JParameter( $field->params, $param_file );

		$field_types = JUFrame::getFieldTypes('OArray');

		$JS_catid = ' onChange="catChange(document.getElementById(\'catid\').value);"';
		$lists['catid'] 		= JHTML::_('list.category',      'catid',      'com_juser', intval($field->catid), $JS_catid);
		if($field->id == 0)	{$field->published = 1;}
		$lists['published'] = JHTML::_('select.booleanlist', 'published',  'class="inputbox"',  $field->published );

    $lists['access'] 		= JHTML::_('list.accesslevel',   $field );
    $JS_type = 'onChange="xajax_juRewriteTypeParams(document.getElementById(\'type\').value)"';
    $lists['type']      = JHTML::_('select.genericlist', $field_types, 'type', 'class="inputbox" '.$JS_type,  'value', 'text', $field->type );
	  $lists['ordering'] 	= JUFrame::dinList('com_juser', $field);

		$this->assignRef('lists',		    $lists);
		$this->assignRef('field',		    $field);
		$this->assignRef('params',		  $params);
		$this->assignRef('request_url', $uri->toString());

  }
}
?>