<?php
/**
 * $Id: default.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
<form action="<?php echo $this->request_url; ?>" method="post" name="adminForm">
  <table align="left" width="100%">
  <tr>
    <td width="170" valign="top" ><!--Menu Bar-->
    <?php
    require_once (JPATH_COMPONENT.DS.'includes'.DS.'menubar.php');
    //Ordering allowed ?
    $ordering = true;
    ?>
    </td>
    <td valign="top">
      <table class="adminlist">
      <thead>
  		<tr>
  			<th width="2%" class="title">
        <?php echo JText::_( 'NUM' ); ?>
        </th>
        <th width="3%" class="title">
        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?>);" />
        </th>
        <th class="title" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort',  'Title',        'a.title',       $this->order_Dir, $this->order ); ?>
        </th>
        <th width="10%" class="title" >
        <?php echo JHTML::_('grid.sort',  'Alias',        'a.alias',       $this->order_Dir, $this->order ); ?>
        </th>
        <th width="10%" class="title" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort',  'Type',         'a.type',        $this->order_Dir, $this->order ); ?>
        </th>
        <th width="5%" class="title" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort',  'Published',    'a.published',   $this->order_Dir, $this->order ); ?>
        </th>
        <th width="10%" class="title">
        <?php echo JHTML::_('grid.sort',  'Order',        'a.ordering',    $this->order_Dir, $this->order ); ?>
        <?php echo JHTML::_('grid.order', $this->items ); ?>
        </th>
        <th width="10%" class="title">
        <?php echo JHTML::_('grid.sort',  'Category',     'a.catid',       $this->order_Dir, $this->order ); ?>
        </th>
        <th width="10%" class="title">
        <?php echo JHTML::_('grid.sort',  'Access level', 'a.access',      $this->order_Dir, $this->order ); ?>
        </th>
        <th class="title" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort',  'Description',  'a.description', $this->order_Dir, $this->order ); ?>

        </th>
        <th class="title" nowrap="nowrap" width="1%">
        <?php echo JHTML::_('grid.sort',  'ID',  'a.id', $this->order_Dir, $this->order ); ?>
        </th>
  		</tr>
  		</thead>
  		<tfoot>
  			<tr>
  			<td colspan="11">
  				<?php echo $this->pagination->getListFooter();?>
  			</td>
  			</tr>
  		</tfoot>
  		<tbody>
  		<?php
  			$k = 0;
  			for ($i=0, $n=count( $this->items ); $i < $n; $i++) {
  				$item 	=& $this->items[$i];

  				$img  = $item->published ? 'tick.png'                : 'publish_x.png';
  				$task = $item->published ? 'unpublish'               : 'publish';
  				$alt 	= $item->published ? JText::_( 'FM_L_Unpublished' ) : JText::_( 'FM_L_Published' );
  				$link = 'index.php?option=com_juser&amp;controller=fieldmanager&amp;task=edit&amp;cid[]='.$item->id.'';
  				$item->cat_link 	= JRoute::_( 'index.php?option=com_categories&amp;section=com_juser&amp;task=edit&cid[]='. $item->catid );
  				$access 	= JHTML::_('grid.access',   $item, $i );
   				?>
  				<tr class="<?php echo "row$k"; ?>">
  					<td>
  						<?php echo $this->pagination->getRowOffset( $i );?>
  					</td>
  					<td>
  						<?php echo JHTML::_('grid.id', $i, $item->id ); ?>
  					</td>
  					<td>
  						<a href="<?php echo $link; ?>">
  							<?php echo $item->title; ?></a>
  					</td>
  					<td>
  						<?php echo $item->alias; ?>
  					</td>
  					<td>
  						<?php echo $item->type; ?>
  					</td>
  					<td align="center">
  						<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
  							<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a>
  					</td>
  					<td class="order">
	      				<span><?php echo $this->pagination->orderUpIcon( $i, ($item->catid == @$this->items[$i-1]->catid),'orderup', 'Move Up', $ordering ); ?></span>
	      				<span><?php echo $this->pagination->orderDownIcon( $i, $n, ($item->catid == @$this->items[$i+1]->catid), 'orderdown', 'Move Down', $ordering ); ?></span>
	      				<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
	      				<input type="text" name="order[]" size="5" value="<?php echo $item->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
      				</td>
      			<td>
      				<a href="<?php echo $item->cat_link; ?>" title="<?php echo JText::_( 'FM_L_EDIT CATEGORY' ); ?>">
      				<?php echo $item->category; ?>
      				</a>
      			</td>
      			<td align="center">
      			 <?php echo $access; ?>
      			</td>
      			<td nowrap="nowrap">
      			 <?php echo FFrame::str_limit( $item->description, 40 ); ?>
      			</td>
      			<td>
      				<?php echo $item->id; ?>
      			</td>
  				</tr>
  				<?php
  				$k = 1 - $k;
  			}
  			?>
  		</tbody>
  		</table>
    </td>
  </tr>
  </table>
<input type="hidden" name="controller" value="fieldmanager" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="option" value="com_juser">
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->order; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
</form>