<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');

class JUserViewFields extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;

		// Set toolbar items for the page
		JToolBarHelper::title(   JText::_( 'Field Manager' ), 'module.png' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		$bar = & JToolBar::getInstance('toolbar');
		$bar->addButtonPath(JPATH_COMPONENT_ADMINISTRATOR.DS.'libraries'.DS.'button');
		$bar->appendButton( 'JSHelp',  'http://help.joomsuite.com/user/index.html?field_manager.htm', 1000, 500 );
		$db		=& JFactory::getDBO();
		$uri	=& JFactory::getURI();

		$filter_order		= $mainframe->getUserStateFromRequest(   $option.'.fields.filter_order',		 'filter_order',		 'a.ordering',	'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.fields.filter_order_Dir', 'filter_order_Dir', '',				'word' );
		// Get data from the model
		$items		  = & $this->get( 'Data');
		$total		  = & $this->get( 'Total');
		$pagination = & $this->get( 'Pagination' );

		$this->assignRef('user',		    JFactory::getUser());
		$this->assignRef('order_Dir',   $filter_order_Dir);
		$this->assignRef('order',		    $filter_order);
		$this->assignRef('items',		    $items);
		$this->assignRef('pagination',  $pagination);
		$this->assignRef('request_url',	$uri->toString());

		parent::display($tpl);
	}
}
?>