<?php
/**
 * $Id: line_graph.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
// Some data
//$ydata = array(11,3,8,12,5,1,9,13,5,7);
$ydata = $this->data_y;
$xdata = $this->data_x;

// Create the graph. These two calls are always required
$graph = new Graph(800,300,"auto");

$graph->img->SetMargin( 50, 30, 40, 65 );

$graph->SetScale("textlin");

$graph->SetShadow(FALSE);
$graph->SetFrame(FALSE);

$graph->SetBackgroundGradient( '#F6F6F6', '#ffffff', GRAD_HOR,BGRAD_PLOT );

$graph->title->SetColor("#444444");

$graph->tabtitle->Set( $this->label );
$graph->tabtitle->SetColor( '#444444', '#F6F6F6', '#CDCDCD');

$graph->xaxis->SetFont( FF_FONT0, FS_NORMAL, 5 );
$graph->yaxis->SetFont( FF_FONT0, FS_NORMAL, 5 );

$graph->xaxis->title->Set("Date");
$graph->yaxis->title->Set("Users");
//$graph->xaxis->title->SetFont(FF_CHINESE,FS_BOLD,5);
//$graph->yaxis->title->SetFont(FF_CHINESE,FS_BOLD,5);


$graph->yaxis->SetColor("#0B55C4");

// Create the linear plot
$lineplot=new LinePlot($ydata);
$lineplot->SetColor("#6DB03C");

$graph->xaxis->SetTickLabels($xdata);
$TextTickInterval = count($xdata) > 30 ? round(count($xdata)/30) : 1;

//$graph->xaxis->SetFont(FF_ARIAL, FS_NORMAL, 5);
$graph->xaxis->SetTextTickInterval($TextTickInterval);
$graph->xaxis->SetTickSide(SIDE_RIGHT);
//$graph->xaxis->SetTickDirection(SIDE_RIGHT);
$graph->xaxis->SetLabelAngle(90);
//$graph->xaxis->SetLabelPos(SIDE_RIGHT);
// Add the plot to the graph
$graph->Add($lineplot);

// Display the graph
$graph->Stroke();
exit;
?>