<?php
/**
 * $Id: registrationprogressly.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
$data_y2  = $this->data_y;
$data_y = $this->data_y2;
$data_x  = $this->data_x;

//$value_max  = max( $data_y  );
//$value_max2 = max( $data_y2 );
//$value_max  = max( array( $value_max, $value_max2 ) );

$value_max=0;
foreach($data_y as $key => $item){
  if( ($data_y[$key] + $data_y2[$key]) > $value_max ){
    $value_max = $data_y[$key] + $data_y2[$key];
  }
}

$graph = new Graph( 800, 200, "auto" );

$graph->img->SetMargin( 50, 30, 40, 40 );

$bar_max = round( $value_max * 1.2 ) + 1;

$graph->SetScale( "textlin", 0, round( $value_max * 1.2 ) + 1 );

$graph->SetBackgroundGradient( '#F6F6F6', '#ffffff', GRAD_HOR,BGRAD_PLOT );

$graph->title->SetColor("#444444");

$graph->SetShadow(FALSE);
$graph->SetFrame(FALSE);

$graph->tabtitle->Set( 'Registration progress for 12 months by months' );
$graph->tabtitle->SetColor( '#444444', '#F6F6F6', '#CDCDCD');


//$graph->xaxis->SetFont( FF_FONT1, FS_NORMAL, 10 );
//$graph->yaxis->SetFont( FF_FONT1, FS_NORMAL, 10 );

$graph->yscale->ticks->SupressZeroLabel( false );

$graph->xaxis->SetTickLabels( $data_x );
$graph->legend->SetColor('#444444', '#CDCDCD' );
$graph->legend->SetFillColor('#FFFFFF');
$graph->legend->SetShadow("#F6F6F6", 3);
$bplot = new BarPlot( $data_y );


$bplot->SetFillGradient( '#6489A4', '#ABD4F1', GRAD_RAISED_PANEL );

$bplot->SetWidth( 0.5 );

$bplot->value->Show();
$bplot->value->SetFormat( '%d' );
$bplot->value->SetFont( FF_FONT0, FS_NORMAL );


$bplot->SetLegend( $this->y_legend );

$bplot->value->SetColor('#444444');

$bplot->SetValuePos('bottom');


$bplot2 = new BarPlot($data_y2);

$bplot2->SetFillGradient( '#DE6363', '#F3ADAD', GRAD_RAISED_PANEL );

$bplot2->SetWidth( 0.5 );

$bplot2->value->Show();
$bplot2->value->SetFormat( '%d' );
$bplot2->value->SetFont( FF_FONT0, FS_NORMAL );
$bplot2->value->SetColor( '#444444' );

$bplot2->SetLegend( $this->y2_legend );

$bplot2->SetValuePos( 'bottom' );
$bplotG = new AccBarPlot( array( $bplot, $bplot2 ) );

$bplotG->SetWidth( 0.4 );
$graph->Add( $bplotG );



$graph->yaxis->SetColor("#0B55C4");

$graph->legend->Pos(0.01,0.01);
$graph->Stroke();
exit;
?>

