<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.application.component.view');

class JUserViewSnippet extends JView
{
	function display($tpl = null)
	{
		$type = JRequest::getWord('type', '', "GET");
		$fieldIdString = JRequest::getVar('fields', '', 'GET');
		$fieldsArray  = explode(',', $fieldIdString);
		$uid = JRequest::getInt('user_id', null);
		for($i = 0; $i < count($fieldsArray); $i++ )
		{

			$fieldIdString[$i] = intval($fieldIdString[$i]);
		}

		$data = array();
		$mSnippet = &JModel::getInstance('Snippet', "JUserModel");

		switch($type)
		{
			case 'parent':
				$currentuser = JFactory::getUser();
				/*if ((int)$uid > 0 && $uid != $currentuser->get('id'))
				{
					return;
				}*/
				if ($currentuser->get('id') > 0
					&& JFolder::exists(JPATH_ROOT.DS.'components'.DS.'com_idevjsintegration'))
				{
					$db = &JFactory::getDBO();
					$sql = "SELECT idev.pid FROM #__users AS u"
					."\n LEFT JOIN #__idev_jsintegration AS idev ON idev.uid = u.id"
					."\n WHERE u.id = ".$currentuser->get('id');
					$db->setQuery($sql);
					$parent_id = $db->loadResult();
					if (!$parent_id)
					{
						return;
					}
					$user = JFactory::getUser($parent_id);
					$data = $mSnippet->getData($parent_id, $fieldsArray);

				}
				else
				{
					return;
				}
				break;
			case 'user':
				$user = JFactory::getUser($uid);
				if ($user->get('id') > 0)
				{
					$data = $mSnippet->getData($user->get('id'), $fieldsArray);
				}
				else
				{
					return;
				}
				break;
			default:
				break;

		}
		$this->assignRef('data', $data);
		$this->assignRef('user', $user);
		parent::display($tpl);
	}


	function getAvatarPath( & $user )
	{
		$is_file_exist = false;
		jimport('joomla.filesystem.folder');

		$files = JFolder::files(JPATH_ROOT.DS.JU_GENERAL_AVATARS_DIR);

		foreach ($files as $file)
		{
			if(substr($file,0,(strlen($file)-strlen(strrchr($file,'.')))) == $user->username ){
				$is_file_exist = true;
				$extention = substr( strrchr( $file, '.' ), 1 );
			}
		}

		$avurlpath = JURI::root().str_replace('\\', '/',JU_GENERAL_AVATARS_DIR).'/';
		if($is_file_exist){
			$path = $avurlpath.$user->username.'.'.$extention;
		} else {
			$path = JURI::root().'components/com_juser/images/default_avatar.png';
		}
		return $path;
	}
}
?>