<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.application.component.view');

class JUserViewUser extends JView
{
	function display($tpl = null)
	{
		//$user = &JFactory::getUser();
		if (JRequest::getVar('layout') == 'login')
		{
			$this->_showLoginForm($tpl);
			return;
		} else if (	JRequest::getVar('layout') == 'remove')
		{

			$this->_showRemoveForm($tpl);
			return;
		}
// avatar layout frozen
//		else if(JRequest::getVar('layout', '') == "avatar"){
//			$this->_showAvatarForm($tpl);
//			return;
//		}



		if (false == $this->_displayForm($tpl))
		{
			return;
		}



		parent::display($tpl);
	}
	function _displayForm($tpl)
	{
		global $mainframe, $option, $Itemid;
		defined('JU_GENERAL_ACCOUNT_REMOVAL') or define('JU_GENERAL_ACCOUNT_REMOVAL', 0);
		//print'<pre>';print_r(JRequest::getVar( 'user_data', '' ));print'</pre>';


		$db		         = & JFactory::getDBO();
		$acl	         = & JFactory::getACL();
		$uri 	         = & JFactory::getURI();
		$myuser          = & JFactory::getUser();
		$model	         = & $this->getModel();
		$document	     = & JFactory::getDocument();
		$pathway	     = & $mainframe->getPathway();

		$user_params   = & $myuser->getParameters(true);
		//$user_params   = $user_params->renderToArray();
		$usrPrms = $user_params->renderToArray();
		$layout_params = & $mainframe->getParams();

		$document->addScript(JURI::root().'components/com_juser/includes/email_validation.js');
		$document->addScript(JURI::root().'includes/js/joomla.javascript.js');

		JHTML::_('behavior.tooltip');
		JHTML::_('behavior.calendar');
		$menus	= &JSite::getMenu();
		$menu	= $menus->getActive();
		$menu_params = new JParameter( @$menu->params );
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		$params = &$mainframe->getParams();
		$document	= &JFactory::getDocument();

		//get the user
		if(JRequest::getVar('layout', '') == "mydetails"){
			$model->_id = $myuser->id;
			// preform security checks
			if ( $model->_id == 0 ) {
				JError::raiseNotice( 403, JText::_('Access Forbidden') );
				return;
			}
			if (is_object($menu) && $menu_params->get('show_page_title', 0))
			{

				$params->set('page_title',	$menu_params->get( 'page_title', ''));
				$pathway->addItem( $menu_params->get( 'page_title', '') );
			}
			else
			{
				$params->set('page_title',	JText::_( 'User Details' ));
				$pathway->addItem( JText::_("User Details") );

			}

		}
		else
		{
			if (is_object($menu) && $menu_params->get('show_page_title', 0))
			{

				$params->set('page_title',	$menu_params->get( 'page_title', ''));
				$pathway->addItem( $menu_params->get( 'page_title', '') );
			}
			else
			{
				$params->set('page_title',	JText::_( 'User Registration' ));
				$pathway->addItem( JText::_("User Registration") );

			}

			if ($myuser->get('id', 0) > 0)
			{
			#we have no bla bla component yet so commented and back to previous boring functionality, just say'ng that you already on the wings
//				global $mainframe;
//				$redirect = 'index.php?option=com_blablabla';
//				$alert = 'blablalba';
//				$mainframe->redirect(JRoute::_($redirect, false), JText::_($alert));
				JError::raiseNotice(100, JText::_("You are already registered on this web site."));
				return false;
			}

		}

		if( JRequest::getVar( 'user_data', '' ) != '' ){
			$user_data = JRequest::getVar( 'user_data', '' );
		} else {
			$user_data = & $this->get('data');
		}

		$user_core_data     = & $user_data->core_data;
		$user_extended_data = & $user_data->extended_data;

		$isNew = (!isset($user_core_data->id) || $user_core_data->id < 1);

		jimport( 'joomla.filter.output' );
		JFilterOutput::objectHTMLSafe( $user_core_data, ENT_QUOTES );

		$document->setTitle( $params->get( 'page_title' ) );

		$this->assignRef( 'core_data',		$user_core_data);
		$this->assignRef( 'extended_data',	$user_extended_data);
		$this->assignRef( 'request_url',	$uri->toString());
		$this->assignRef( 'isnew',	        $isNew);
		$this->assignRef( 'user_params',    $usrPrms);
		$this->assignRef( 'layout_params',  $layout_params);
		$this->assignRef( 'Itemid', 		$Itemid);
		return true;
	}

	function registrationPolicy($type = "frame")
	{
		if( !JU_REGISTRATION_FORM_REGISTRATON_POLICY ){
			return '';
		}
		$page = $this->get("Page");
		$result  = '';
		if ($type == 'frame'){
			//$result .= '<div class="contentheading"></div>';
			$result .= '<fieldset><div style="overflow: auto; width: 100%; height: '.JU_REGISTRATION_FORM_REG_POLICY_HEIGHT.'px;">';
			$attribs = new JParameter($page->attribs);
			if($attribs->get('show_title')){
				$result .= '<h1>'.$page->title.'</h1>';
			}
			$result .= $page->introtext;
			$result .= '<br>'.$page->fulltext;
			$result .= '</div></fieldset>';
			$result .= '<input type="checkbox" class="inputbox" name="registration_policy" id="id_registration_policy" value="agree">';
			$result .= JText::_('I have read and agree.');
		}
		elseif ($type == "link"){
			$link = JRoute::_("index.php?option=com_content&view=article&id=".$page->id);
			$result .= '<input type="checkbox" name="registration_policy" id="id_registration_policy" value="agree">';
			$result .= JText::_('I have read and agree').' ';
			$result .= JHTML::link($link,  JText::_('Registration Policy'));
		}
		return $result;

	}

	function _showLoginForm($tpl = null)
	{
		global $mainframe;
		$user = &JFactory::getUser();
		$document	=& JFactory::getDocument();
		$pathway	=& $mainframe->getPathway();
		$image = "";

		$menu   =& JSite::getMenu();
		$item   = $menu->getActive();
		if($item)
		$params	=& $menu->getParams($item->id);
		else
		$params	=& $menu->getParams(null);


		$type = (!$user->get('guest')) ? 'logout' : 'login';

		// Set some default page parameters if not set
		$params->def( 'page_title', 				1 );
		if(!$item)
		{
			$params->def( 'header_login', 			'' );
			$params->def( 'header_logout', 			'' );
		}

		$params->def( 'pageclass_sfx', 			'' );
		$params->def( 'login', 					'index.php' );
		$params->def( 'logout', 				'index.php' );
		$params->def( 'description_login_text', 	JText::_( 'LOGIN_DESCRIPTION' ) );
		$params->def( 'description_logout_text',	JText::_( 'LOGOUT_DESCRIPTION' ) );
		$params->def( 'image_login', 				'key.jpg' );
		$params->def( 'image_logout', 				'key.jpg' );
		$params->def( 'image_login_align', 			'right' );
		$params->def( 'image_logout_align', 		'right' );
		$usersConfig = &JComponentHelper::getParams( 'com_users' );
		$params->def( 'registration', 				$usersConfig->get( 'allowUserRegistration' ) );

		if ( !$user->get('guest') )
		{
			$title = JText::_( 'Logout');

			// pathway item
			$pathway->addItem($title, '' );
			// Set page title
			$document->setTitle( $title );
		}
		else
		{
			$title = JText::_( 'Login');

			// pathway item
			$pathway->addItem($title, '' );
			// Set page title
			$document->setTitle( $title );
		}
		
		$page_title = $params->get('page_title');
		$show_page_title = $params->get('show_page_title');
		if ($show_page_title && $page_title)
		{
			$document->setTitle($page_title);
		}

		// Build login image if enabled
		if ( $params->get( 'image_'.$type ) != -1 ) {
			$image = 'images/stories/'.$params->get( 'image_'.$type );
			$image = '<img src="'. $image  .'" align="'. $params->get( 'image_'.$type.'_align' ) .'" hspace="10" alt="" />';
		}

		// Get the return URL
		if (!$url = JRequest::getVar('return', '', 'method', 'base64')) {
			$url = base64_encode($params->get($type));
		}

		$errors =& JError::getErrors();

		$this->assign('image' , $image);
		$this->assign('type'  , $type);
		$this->assign('return', $url);

		$this->assignRef('params', $params);
		parent::display($tpl);
	}

	function _showRemoveForm($tpl)
	{
		defined('JU_GENERAL_ACCOUNT_REMOVAL') or define('JU_GENERAL_ACCOUNT_REMOVAL', 0);
		$user = &JFactory::getUser();

		if (!JU_GENERAL_ACCOUNT_REMOVAL || $user->get('id') < 1)
		{
			JError::raiseNotice(403, JText::_("Access forbidden!"));
			return;
		}
		if ($user->get('gid') == 25)
		{
			JError::raiseNotice(403, JText::_("Access forbidden!"), JText::_('Super Administrators Cannot Delete Themselves.'));
			return;
		}
		global $mainframe;
		$pathway = $mainframe->getPathway();
		$menus	 = &JSite::getMenu();
		$menu    = $menus->getActive();
		$menu_params = new JParameter( @$menu->params );
		$params = &$mainframe->getParams();
		if (is_object($menu) && $menu_params->get('show_page_title', 0))
		{

			$params->set('page_title',	$menu_params->get( 'page_title', ''));
			$pathway->addItem( $menu_params->get( 'page_title', '') );
		}
		else
		{
			$params->set('page_title',	JText::_( 'Remove My Account' ));
			$pathway->addItem( JText::_("Remove My Account") );

		}
		
		if(true){
			$removed = array();
			if (JU_COMMUNITY_CLEAN_ACTIVITY)$removed[] = JText::_('Community Activity Log');
			if (JU_COMMUNITY_CLEAN_RESOURCE)$removed[] = JText::_('Added Resources component');
			if (JU_COMMUNITY_CLEAN_CONTENT)$removed[] = JText::_('Added core Content');
			if (JU_COMMUNITY_CLEAN_SUBSCR)$removed[] = JText::_('All subsriptions');
			if (JU_COMMUNITY_CLEAN_INBOX)$removed[] = JText::_('InBox messages');
			$removed = implode('</li><li>', $removed);
			$params->set('removed', $removed);
		}
		
		$uri  = &JFactory::getURI();
		$this->assignRef('params', $params);
		$this->assignRef('user', $user);
		$this->assignRef("request_url", $uri);
		parent::display($tpl);
	}

	//avatar layout frozen//
	///////////////////////
	function _showAvatarForm($tpl)
	{		
		global $mainframe, $option, $Itemid;
			$db		         = & JFactory::getDBO();
			$acl	         = & JFactory::getACL();
			$uri 	         = & JFactory::getURI();
			$myuser          = & JFactory::getUser();
			$model	         = & $this->getModel();
			$document	     = & JFactory::getDocument();
			$pathway	     = & $mainframe->getPathway();
	
			$user_params   = & $myuser->getParameters(true);
			//$user_params   = $user_params->renderToArray();
			$usrPrms = $user_params->renderToArray();
			$layout_params = & $mainframe->getParams();
			
			$model->_id = $myuser->id;
			// preform security checks
			if ( $model->_id == 0 ) {
				JError::raiseNotice( 403, JText::_('Access Forbidden') );
				return;
			}
//			else{
//			return;
//			}
			if( JRequest::getVar( 'user_data', '' ) != '' ){
			$user_data = JRequest::getVar( 'user_data', '' );
			} else {
				$user_data = & $this->get('data');
			}
	
			$user_core_data     = & $user_data->core_data;
			$user_extended_data = & $user_data->extended_data;
	
			$isNew = (!isset($user_core_data->id) || $user_core_data->id < 1);
	
			jimport( 'joomla.filter.output' );
			JFilterOutput::objectHTMLSafe( $user_core_data, ENT_QUOTES );
	
//			$document->setTitle( $params->get( 'page_title' ) );
	
			$this->assignRef( 'core_data',		$user_core_data);
			$this->assignRef( 'extended_data',	$user_extended_data);
			$this->assignRef( 'request_url',	$uri->toString());
			$this->assignRef( 'isnew',	        $isNew);
			$this->assignRef( 'user_params',    $usrPrms);
			$this->assignRef( 'layout_params',  $layout_params);
			$this->assignRef( 'Itemid', 		$Itemid);
//			return true;
			parent::display($tmpl);
		
	}


}
?>