<?php
/**
 * $Id: config.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class JUserControllerConfig extends JUserController
{
    function __construct()
    {
        parent::__construct();
        $this->registerTask( 'apply', 'save' );
        JRequest::setVar( 'view', 'config' );
    }
    function save()
    {
        global $mainframe;
        $post = JRequest::get('post');
	      $post['params']['list::allowgroups'] = implode("\n",$post['params']['list::allowgroups']);
        $params = new JParameter('');
        $params->bind($post['params']);

        jimport('joomla.filesystem.file');
        if (!JFile::write(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini', $params->toString('INI')))
        {
          JError::raiseNotice('100', JText::_("Could not Save Configurations"));
        }
        $link = 'index.php?option=com_juser';
        if (JRequest::getVar('task') == 'apply')
        $link = 'index.php?option=com_juser&controller=config';

        $msg = JText::_( 'Saved Configuration' );
        $mainframe->redirect( $link, $msg );
    }
    function cancel()
    {

        global $mainframe;
        $link = 'index.php?option=com_juser';
        $this->setRedirect( $link );
    }
    function initialyze()
    {
    	global $mainframe;
        jimport('joomla.filesystem.file');
        $array = array();
        $ini = "";
        if (JFile::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_juser'.DS.'config.ini'))
        {
        	$ini = JFile::read(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_juser'.DS.'config.ini');
        }
        else
        {
					return;

        }

        $params = new JParameter($ini);
        $array = $params->toArray();
        foreach($array AS $key=> $row)
        {
            $key = explode("::", $key);
            //$key[0] = str_replace("_", " ",$key[0]);

            $name = sprintf('ju_%s_%s', $key[0], $key[1]);
            define(strtoupper($name), $row, true);
          /*  echo strtoupper($name."  ");
            print strtoupper($row).'<br>';*/

        }

    }
}
?>