<?php
/**
 * $Id: juser_frame.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');



class JUFrame {
	function isJSLMComponentExist()
	{
		$component_path = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jslm';
		if( is_dir($component_path)){
			return true;
		}

		return false;
	}
	function isJCACLComponentExist()
	{
		$component_path = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jcacl';
		if( is_dir($component_path)){
			return true;
		}

		return false;
	}
	function isJCSComponentExist()
	{
		$component_path = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jcs';
		if( is_dir($component_path)){
			return true;
		}

		return false;
	}

	function getFieldTypes($sort)
	{
		$types['text']      = JText::_('Text');
		$types['textarea']  = JText::_('Text Area');
		$types['checkbox']  = JText::_('Check Box');
		$types['radio']     = JText::_('Radio Buttons');
		$types['select']    = JText::_('Select List');
		$types['mult_select']    = JText::_('Multiple Select');
		$types['date']      = JText::_('Date');
		$types['calendar']  = JText::_('Calendar');
		$types['phone']     = JText::_('Phone');
		$types['file']      = JText::_('File');
		$types['link']      = JText::_('Link');
		$types['javascript']= JText::_('Aweber Snippet');
		//$types['html']= JText::_('HTML');
		$types['separator'] = JText::_('Separator');

		switch($sort){
			case 'AArray':
				$result = $types;
				break;
			case 'OArray':
				$element = new stdClass;
				$element->text  = JText::_('- Select Type -');
				$element->value = '';
				$result[] = $element;
				foreach($types as $value => $text){
					$element = new stdClass;
					$element->text  = $text;
					$element->value = $value;
					$result[] = $element;
				}
				break;
		}
		return $result;
	}

	function deleteExistingFile( $user_id, $field_id )
	{
		$db		  = & JFactory::getDBO();

		$query = " SELECT fvalue FROM #__juser_extended_data WHERE user_id = ".$user_id." AND field_id = ".$field_id;
		$db->setQuery($query);
		$file_name = $db->loadResult();

		$query = " SELECT params FROM #__juser_extended_fields WHERE id = ".$field_id;
		$db->setQuery($query);
		$file_params = $db->loadResult();

		$params = new JParameter( $file_params );
		$path_to_upload = $params->get('path_to_upload', 'administrator/components/com_juser/upload_files');
		$file = JPATH_ROOT.DS.$path_to_upload.DS.$file_name;
		JFile::delete($file);

		$query = " DELETE FROM #__juser_extended_data WHERE user_id = ".$user_id." AND field_id = ".$field_id;
		$db->setQuery($query);
		$db->query();
	}

	function dinList( $cat_section, & $field__, $additional = '' )
	{
		$db	= &JFactory::getDBO();
		$JS = '';
		$resultOrderDinList='';

		$query = "SELECT * FROM `#__categories` where `section` = '".$cat_section."'";
		$db->setQuery( $query );
		$categories = $db->loadObjectList();
		$fields_by_cat = array();
		foreach($categories as $category){
			$query = "SELECT * "
			. "\n FROM #__juser_extended_fields"
			. "\n WHERE catid = ".(int)$category->id
			. "\n ORDER by ordering";
			$db->setQuery( $query );
			$fields_ = $db->loadObjectList();
			$i=0;
			foreach($fields_ as $field_){
				$fields_by_cat[$category->id][$i]['title'] = $field_->title;
				$fields_by_cat[$category->id][$i]['ordering'] = $field_->ordering;
				$i++;
			}
		}

		$JS .= '<script language="javascript">';
		$JS .= 'function catChange(catid){';
		foreach($fields_by_cat as $key => $cat){
			unset($options);
			$newOption= new stdClass;

			$newOption->text  = 'On the top';
			$newOption->value = 0;
			$options[] = $newOption;
			foreach($cat as $field){
				$newOption= new stdClass;
				$newOption->text  = $field['ordering'].'.'.$field['title'];
				$newOption->value = $field['ordering'];
				$options[] = $newOption;
			}
			$_additional = 'class="inputbox" '.($field__->catid != $key ? 'disabled = "disabled" style="display:none"' : '') . $additional;
			$resultOrderDinList .= JHTML::_('select.genericlist', $options, 'ordering', $_additional,  'value', 'text', $field__->ordering, 'ordering_'.$key );
			$JS .= 'if(catid == '.$key.'){';
			$JS .= 'document.getElementById("ordering_'.$key.'").disabled = false;';
			$JS .= 'document.getElementById("ordering_'.$key.'").style.display = "inline";';
			$JS .= '}';
			$JS .= 'else{';
			$JS .= 'document.getElementById("ordering_'.$key.'").disabled = true;';
			$JS .= 'document.getElementById("ordering_'.$key.'").style.display = "none";';
			$JS .= '}';
		}
		$JS .= '}';
		$JS .= '</script>';
		$resultOrderDinList .= $JS;

		return $resultOrderDinList;
	}

	function resizeImage($strSourceImagePath, $strDestImagePath, $intMaxWidth = 128, $intMaxHeight = 128)
	{
		require_once JPATH_ROOT.DS.'media'.DS.'mightyextensions'.DS.'libraries'.DS.'image_processing'.DS.'resizeimage.inc.php';
		
		$resizer = new JS_Image_Resizer($strSourceImagePath);
		
		if ($resizer->error())
			return false;
		
		$resizer->resize_limitwh($intMaxWidth, $intMaxHeight, $strDestImagePath);
		$resizer->close();
		
		return true;	
		/*
		$arrImageProps = getimagesize($strSourceImagePath);
		$intImgWidth   = $arrImageProps[0];
		$intImgHeight  = $arrImageProps[1];
		$intImgType    = $arrImageProps[2];

		switch( $intImgType) {
			case 1:
				$rscImg = ImageCreateFromGif($strSourceImagePath);
				break;
			case 2:
				$rscImg = ImageCreateFromJpeg($strSourceImagePath);
				break;
			case 3:
				$rscImg = ImageCreateFromPng($strSourceImagePath);
				break;
			default:
				return false;
		}

		if ( !$rscImg) return false;

		if ($intImgWidth > $intImgHeight) {
			$fltRatio = floatval($intMaxWidth / $intImgWidth);
		} else {
			$fltRatio = floatval($intMaxHeight / $intImgHeight);
		}

		$intNewWidth = intval($fltRatio * $intImgWidth);
		$intNewHeight = intval($fltRatio * $intImgHeight);

		$rscNewImg = imageCreateTrueColor($intNewWidth, $intNewHeight);
		if (!imageCopyResampled($rscNewImg, $rscImg, 0, 0, 0, 0, $intNewWidth, $intNewHeight, $intImgWidth, $intImgHeight)){
			return false;
		}

		switch($intImgType) {
			case 1:
				$retVal = ImageGIF($rscNewImg, $strDestImagePath);
				break;
			case 3:
				$retVal = ImagePNG($rscNewImg, $strDestImagePath);
				break;
			case 2:
				$retVal = ImageJPEG($rscNewImg, $strDestImagePath, 90);
				break;
			default:
				return false;
		}

		ImageDestroy($rscNewImg);

		return true;
		*/
	}

	function putFiles($user_ext_data, $userid,$post = array() )
	{
		$model      = $this->getModel('user');
		$model->_id = $userid;

		$user_data          = & $model->getData();


		$user_core_data     = & $user_data->core_data;
		$user_extended_data = & $user_data->extended_data;


		foreach($user_extended_data as $field){
			switch($field->type)
			{
				case "file":
					$userfile=pathinfo($_FILES['JU_'.$field->alias]['name']);
					$hidden_value = $post['JU_'.$field->alias.'_hidden'];

					if      ( !$userfile['basename'] &&  $hidden_value ) { break; }
					else if ( !$userfile['basename'] && !$hidden_value ) { break; }
					else {
						$tmp_name = $_FILES['JU_'.$field->alias]['tmp_name'];
						$params = new JParameter( $field->params);

						$path_to_upload = $params->get('path_to_upload', 'administrator'.DS.'components'.DS.'com_juser'.DS.'upload_files');
						$new_file = JPATH_ROOT.DS.$path_to_upload.DS.$user_core_data->username.'_'.@$_FILES['JU_'.$field->alias]['name'];
						$old_file = JPATH_ROOT.DS.$path_to_upload.DS.$field->fvalue;
						if(JFile::exists($old_file)){
							JFile::delete($old_file);
						}
						JFile::copy( $tmp_name, $new_file );
					}
					break;
			}
		}
		if (JU_GENERAL_ENABLE_AVATARS){
			if($_FILES['JU_avatar__']['name']){
				//$hidden_avatar = JRequest::getVar('JU_avatar__hidden', '');
				$dir   = JPATH_ROOT.DS.JU_GENERAL_AVATARS_DIR;
				jimport('joomla.filesystem.folder');
				$files = JFolder::files($dir);
				foreach ($files as $file) {
					if( substr( $file, 0, ( strlen( $file ) - strlen( strrchr( $file, '.' ) ) ) ) == $user_core_data->username ){
						JFile::delete( $dir.DS.$file );
						break;
					}
				}

				$userfile         = pathinfo($_FILES['JU_avatar__']['name']);


				$tmp_name         = $_FILES['JU_avatar__']['tmp_name'];
				$path_to_upload   = JU_GENERAL_AVATARS_DIR;
				$extention        = $userfile['extension'];
				$allowed_avatar_extentions = array( 'jpg','JPG', 'jpeg','JPEG', 'png','PNG', 'gif','GIF', 'bmp', 'BMP', 'tif', 'TIF' );
				if (!in_array($extention, $allowed_avatar_extentions))
				{
					JError::raiseNotice(JText::_("Avatar has Invalid extention!"));
					return;

				}



				$self_avatar_name = $user_core_data->username.'.jpg';

				$end_avatar_name  = JPATH_ROOT.DS.$path_to_upload.DS.$self_avatar_name;

				JUFrame::resizeImage( $tmp_name, $tmp_name, JU_REGISTRATION_FORM_MAXIMUM_WIDTH_FOR_AVATAR, JU_REGISTRATION_FORM_MAXIMUM_HEIGHT_FOR_AVATAR );
				JFile::copy( $tmp_name, $end_avatar_name );
			}
		}
	}

	function getUserPostData($post)
	{
		$model = &JModel::getInstance('User', "JUserModel");
		$model->_id = $post['id'];
		$user_data  = & $model->getData();
		$user_core_data     = & $user_data->core_data;
		$user_extended_data = & $user_data->extended_data;

		$result = array();

		foreach($user_extended_data as $field)
		{
			$field_params = new JParameter($field->params);
			switch($field->type)
			{
				case"text":
					$result[$field->id] = $post['JU_'.$field->alias];
					break;
				case 'link':
					$url = "";
					$title = "";
					if (isset($post['JU_'.$field->alias.'_url']) && $post['JU_'.$field->alias.'_url'] )
					{
						$url = $post['JU_'.$field->alias.'_url'];
						if (!preg_match("/^http\:\/\/|^https\:\/\//", $url))
						{
							$url = "http://$url";
						}
						 $url .="^";
						if (isset($post['JU_'.$field->alias.'_title']) && $post['JU_'.$field->alias.'_title'])
						{

							$url.=$post['JU_'.$field->alias.'_title'];
						}
						$result[$field->id] = $url;
					}

					// && $post['JU_'.$field->alias.'_url']
					else
					{
						$result[$field->id] = '';
					}
					break;
				case 'javascript':
					$post['JU_'.$field->alias] =   JRequest::getVar('JU_'.$field->alias, '', 'post', 'none', 2);

					if (isset($post['JU_'.$field->alias]) && $post['JU_'.$field->alias] )
					{

						$pattern = "/\<script type\=\"text\/javascript\" src\=\"http\:\/\/forms\.aweber\.com\/form\/\d+\/\d+\.js\"\>\<\/script\>/Ui";

						if (preg_match($pattern, ltrim(rtrim($post['JU_'.$field->alias]))))
						{
							$result[$field->id] = $post['JU_'.$field->alias];
						}
					}
					break;
				case"textarea":
					if($field_params->get('allow_raw', 0))
					{
						$post['JU_'.$field->alias] = JRequest::getVar('JU_'.$field->alias, '', 'default', 'string', 4);
					}
					$result[$field->id] = $post['JU_'.$field->alias];
					break;
				case"mult_select":
				case"checkbox":
					if(isset($post['JU_'.$field->alias]) && count($post['JU_'.$field->alias]) > 0)
					{
						foreach($post['JU_'.$field->alias] as $checkedItem){
							$result[$field->id][] = $checkedItem;
						}
						$result[$field->id] = implode( "\n", $result[$field->id] );
					}
					else
					{
						$result[$field->id] = '';
					}
					break;
				case"radio":
					$result[$field->id] = @$post['JU_'.$field->alias];
					break;

				case"select":
					$result[$field->id] = @$post['JU_'.$field->alias];
					break;
				case"date":
					if (@$post['JU_'.$field->alias.'_y']){
						$result[$field->id] = @$post['JU_'.$field->alias.'_y'].'-'.@$post['JU_'.$field->alias.'_m'].'-'.@$post['JU_'.$field->alias.'_d'];
					}
					else{
						$result[$field->id] = '';
					}
					break;
				case"calendar":
					$result[$field->id] = @$post['JU_'.$field->alias];
					break;
				case"phone":
					if ($post['JU_'.$field->alias.'_phone']){
						if(isset($post['JU_'.$field->alias.'_country'])){
							$result[$field->id]  =      trim($post['JU_'.$field->alias.'_country']);
						}
						$result[$field->id] .= "\n";
						if(isset($post['JU_'.$field->alias.'_city'])){
							$result[$field->id] .= trim($post['JU_'.$field->alias.'_city']);
						}
						$result[$field->id] .= "\n";
						if(isset($post['JU_'.$field->alias.'_phone'])){
							$result[$field->id] .= trim($post['JU_'.$field->alias.'_phone']);
						}
						$result[$field->id] .= "\n";
						if(isset($post['JU_'.$field->alias.'_extention'])){
							$result[$field->id] .= trim($post['JU_'.$field->alias.'_extention']);
						}
						$result[$field->id] = str_replace(' ', '-', $result[$field->id]);
					}
					else{
						$result[$field->id] ='';
					}
					break;
				case"file":
					$userfile=pathinfo($_FILES['JU_'.$field->alias]['name']);
					$hidden_value = $post['JU_'.$field->alias.'_hidden'];

					if(!$userfile['basename'] && $hidden_value){
						$result[$field->id] = $hidden_value;
						break;
					}
					else if(!$userfile['basename'] && !$hidden_value){
						$result[$field->id] = '';
						break;
					}
					else{
						$tmp_name = @$_FILES['extend'.$field->id]['tmp_name'];

						$user_part_name = substr(ereg_replace('[^a-zA-Z0-9]', '', $user_core_data->username),0,15);

						if(!$user_part_name){
							$user_part_name = 'user_id'.$user_core_data->id;
						}
						$field_part_name = substr(ereg_replace('[^a-zA-Z0-9]', '', $field->alias),0,15);
						if(!$field_part_name){
							$user_part_name = 'field_id'.$field->id;
						}
						$new_name = strtolower($user_part_name.'_'.$field_part_name.strrchr($userfile['basename'],'.'));
						$result[$field->id] = $new_name;
					}
					break;
			}
		}
		return $result;
	}

	function validateRegistrationPolicy()
	{
		if(JRequest::getVar('registration_policy') == "agree" || !JU_REGISTRATION_FORM_REGISTRATON_POLICY ){
			return true;
		} else {
			return false;
		}
	}


	function validateCoreFields(&$core_fields, $post)
	{
		$user = &JFactory::getUser();
		$error = false;
		/*$post = JRequest::get( 'post' );
		$post['username']	  = JRequest::getVar( 'username',  '', 'post', 'username');
		$post['password']	  = JRequest::getVar( 'password',  '', 'post', 'string', JREQUEST_ALLOWRAW);
		$post['password2']	= JRequest::getVar( 'password2', '', 'post', 'string', JREQUEST_ALLOWRAW);*/
		
		$core_fields->first_name = $post['first_name'];
		$core_fields->last_name  = $post['last_name'];
		$core_fields->username   = $post['username'];
		$core_fields->email      = $post['email'];
		$core_fields->password   = $post['password'];
		$core_fields->password2  = $post['password2'];
	
		if( trim($post['first_name']) == "" ){
			$core_fields->name_error = JText::_("You must provide a First name.");
			$error = true;
		}

		if( $post['username'] == ""){
			$core_fields->username_error = JText::_("You must provide a user login name.");
			$error = true;
		}/* else if (preg_match('/^[a-zA-Z0-9!@#$%^&*\(\)\{\}\[\]\?\.\?~_]+$/', $post['username'] ) == 0){
		$core_fields->username_error = JText::_("Your Login Name contains invalid characters or is too short.");
		$error = true;
		}*/ else if (strlen( $post['username'] ) < 2){
		$core_fields->username_error = JText::_("Your Login Name is too short.");
		$error = true;
		} else{
			$unique_msg = JUFrame::isUsernameUnique($post['username'], $post['id']);
			if($unique_msg){
				$core_fields->username_error = $unique_msg;
				$error = true;
			}
		}

		if (trim($post['email']) == ""){
			$core_fields->email_error = JText::_("You must provide a email address.");
			$error = true;
		} else if (!JMailHelper::isEmailAddress( $post['email'])){
			$core_fields->email_error = JText::_("Your email is wrong.");
			$error = true;
		}
		else if(JU_REGISTRATION_FORM_CONFIRM_EMAIL && $user->get('id') <1 )
		{
			if (trim($post['email2']) == '')
			{
				$core_fields->email_error = JText::_("You must provide a email address.");
				$error = true;
			}
			else if (trim($post['email2']) != trim($post['email']))
			{
				$core_fields->email_error = JText::_("Confirmation email is wrong.");
				$error = true;
			}
			else
			{
				$unique_msg = JUFrame::isEmailUnique($post['email'], $post['id']);
				if($unique_msg){
					$core_fields->email_error = $unique_msg;
					$error = true;
				}

			}
		} else {
			$unique_msg = JUFrame::isEmailUnique($post['email'], $post['id']);
			if($unique_msg){
				$core_fields->email_error = $unique_msg;
				$error = true;
			}
		}

		if (JU_GENERAL_ENABLE_AVATARS)
		{
			if($_FILES['JU_avatar__']['name'] != ''){
				$allowed_avatar_extentions = array( 'jpg','JPG', 'jpeg','JPEG', 'png','PNG', 'gif','GIF', 'bmp', 'BMP', 'tiff', 'TIFF' );
				$size                      = GetImageSize($_FILES['JU_avatar__']['tmp_name']);
				$extention                 = substr( strrchr($_FILES['JU_avatar__']['name'], '.' ), 1);
				if( $size === NULL ){
					$core_fields->avatar__error =JText::_("Avatar file is wrong.");
					$error = true;
				}
				else if( !in_array( $extention, $allowed_avatar_extentions ) ){
					$core_fields->avatar__error = $extention.JText::_("Avatar file have the not allowed extention. Allowed extentions: "). implode(', ', $allowed_avatar_extentions);
					$error = true;
				}
			}
		}

		if ($post['id'] == 0){

			if ( $post['password'] == "" ){
				$core_fields->password_error = JText::_("You must provide a password.");
				$error = true;
			}

			if ( $post['password2'] == "" ){
				$core_fields->password2_error = JText::_("You must provide a Verify Password.");
				$error = true;
			}
		}

		if ( ( $post['id'] > 0 && ( $post['password2'] || $post['password'] ) ) || $post['id'] == 0 ){

			if ( $post['password'] != $post['password2'] ){
				$core_fields->password2_error = JText::_("Password and Verify Password is not same.");
				$error = true;
			}
		}

		return ! $error;
	}

	function isUsernameUnique( $value, $user_id = 0 )
	{
		$db	 = & JFactory::getDBO();
		$msg = '';
		$query = "SELECT count(*) FROM #__users";
		if($user_id == 0){
			$query .= "\n  WHERE username = '".$value."'";
		} else {
			$query .= "\n  WHERE username = '".$value."' AND id <> ". $user_id;
		}

		$db->setQuery($query);
		$number = $db->loadResult();
		if($number > 0 ){ $msg = JText::_('This User Name is already in use on this site'); }

		return $msg;
	}

	function isEmailUnique ( $value, $user_id = 0 )
	{
		$msg = '';
		$db	 = & JFactory::getDBO();

		$query = "SELECT count(*) FROM #__users";

		if($user_id == 0){
			$query .= "\n  WHERE email = '".$value."'";
		} else {
			$query .= "\n  WHERE email = '".$value."' AND id <> ". $user_id;
		}

		$db->setQuery($query);
		$number = $db->loadResult();
		if($number > 0 ){ $msg = JText::_('This Email is already in use on this site'); }

		return $msg;
	}

	function validateExtendedField( $user_post_data, & $extended_fields, $user_id = 0){

		$error = false;

		foreach($extended_fields as $key => $field){

			if($field->type == 'separator') continue;

			$posted_value = isset( $user_post_data[$field->id] ) ? $user_post_data[$field->id] : NULL;

			$extended_fields[$key]->fvalue = $posted_value;

			$field_params = new JParameter( $field->params );

			if( $field_params->get('required','') && $posted_value == '' ){

				$extended_fields[$key]->error_msg = JText::_('You must provide a').$field->title;
				$error = true;
				continue;
			}

			if( $field_params->get( 'unique', 0 ) == 1){
				$unique_msg = JUFrame::validateOnUnique( $field->id, $user_id, $posted_value );
				if( $unique_msg != '' ){
					$extended_fields[$key]->error_msg = $unique_msg;
					$error = true;
					continue;
				}
			}

			if( $field_params->get( 'validate', '' ) != '' ){

				$validate_msg = JUFrame::validateOnValidateExp( $field_params->get( 'validate' ), $field_params->get( 'validate_error_msg' ), $posted_value );

				if( $validate_msg != '' ){

					$extended_fields[$key]->error_msg = $validate_msg;
					$error = true;
					continue;
				}
			}

			switch( $field->type ){
				case 'file':
					if($_FILES['JU_'.$field->alias]['name'] != ''){

						if($field_params->get('legal_extensions','')){
							$userfile   = pathinfo($_FILES['JU_'.$field->alias]['name']);
							$extentions = str_replace( array("\r","\n"), "", $field_params->get('legal_extensions','') );
							$extentions = explode (',',$extentions);

							foreach( $extentions as $e_key => $extention ){ $extentions[$e_key] = trim($extention);}

							//print strrchr($userfile['basename'],'.').'<br>';
							if( array_search( str_replace('.','',strrchr($userfile['basename'],'.')), $extentions) === false ){
								$extended_fields[$key]->error_msg = JText::_('Extention of this file is not legal');
								$error = true;
								continue;
							}
						}

						if($field_params->get('max_size','')){
							$userfile_size = $_FILES['JU_'.$field->alias]['size'];

							if($userfile_size > $field_params->get('max_size','') ){
								$extended_fields[$key]->error_msg = JText::_('File is too large');
								$error = true;
								continue;
							}
						}
					}
					break;
				case 'phone':
					if (preg_match("/[a-z]|[\`\~\!\@\$\%\&\*\(\)\_\=\+\\\|\,\<\.\>\/\?\;\:\'\"]/i", trim($posted_value)))
					{
						$extended_fields[$key]->error_msg = JText::_('The phone field cannot have characters');
						$error = true;
                        continue;
					}
                    $exphone = explode("\n", $posted_value);
                    $country_enabled = $field_params->get('country_code');
                    $city_enabled = $field_params->get('city_code');
                    $ext_enabled = $field_params->get('extension');
                    if($exphone[2]){
                        if((!$exphone[0] && $country_enabled) || (!$exphone[1] && $city_enabled) || (!$exphone[3] && $ext_enabled)){
                            $extended_fields[$key]->error_msg = JText::_('Phone is not complete');
                            $error = true;
                            continue;
                        }
                    }
//                    if(strlen($exphone[0]) > 1){
//						$extended_fields[$key]->error_msg = JText::_('Country code could contain only one digit');
//						$error = true;
//                        continue;
//                    }

					break;
				case 'textarea':
				case 'text':
					if($field_params->get('maxlength'))
					{
						if(strlen($posted_value)> (int)$field_params->get('maxlength'))
						{

							$extended_fields[$key]->error_msg = JText::_('The length of input string is too large');
							$error = true;
						}

					}

					break;
			}
		}
		return ! $error;
	}

	function validateOnUnique( $field_id, $user_id, $value )
	{

		$db  = & JFactory::getDBO();
		$msg = '';

		if(trim($value) == '')
		{
		/*	$msg = JText::_('This field must containt unique value');*/
			return '';
		}

		$db->setQuery("SELECT count(*) FROM #__juser_extended_data WHERE field_id = ".$field_id." AND user_id <> ".$user_id." AND fvalue = '{$value}'");
		if($db->loadResult() > 0){
			$msg = JText::_('This field must containt unique value');
		}

		return $msg;
	}

	function validateOnValidateExp( $validate_exp, $validate_error_msg, $value )
	{
		$msg='';
		if (trim($value) == '')
		{
			return $msg;
		}
		if( preg_match ( $validate_exp, $value ) == 0 || !preg_match ( $validate_exp, $value )){
			if( $validate_error_msg != '' ){
				$msg = $validate_error_msg;
			}
			else{
				$msg = JText::_('This value is not valid.');
			}
		}
		return $msg;
	}

	function renderFieldAvatar($user_core_data)
	{
		global $mainframe;
		$is_file_exist = false;
		$dir = JPATH_ROOT.DS.JU_GENERAL_AVATARS_DIR;
		jimport('joomla.filesystem.folder');
		$files = JFolder::files($dir);

		foreach ($files as $file)
		{
			if(isset($user_core_data->username) && substr($file,0,(strlen($file)-strlen(strrchr($file,'.')))) == $user_core_data->username ){
				$is_file_exist = true;
				$extention = substr( strrchr( $file, '.' ), 1 );
			}
		}

		$result = '';

		if( $is_file_exist ){

			$avurlpath = JURI::root().str_replace('\\', "/", JU_GENERAL_AVATARS_DIR).'/';
//			$result .= '<div id="avatar__image">';
//			$result .= '<img src="'.$avurlpath.($user_core_data->username).'.'.$extention.'" alt="avatar_'.$user_core_data->username.'" />';
//			$result .= '</div>';
			$result .= '<div id="avatar__tools">';
			$result .= '<span class="small">'.JText::_('Already existing avatar:').'</span>';
			if($mainframe->isAdmin()){
				$result .= ' <a href="'.$avurlpath.($user_core_data->username).'.'.$extention.'" target = "_blank">';
				$result .= '<img src="'.JURI::root().'components/com_juser/images/filesave.png" >';
				$result .= '</a>';
			} else {
				$result .= ' <a href="'.$avurlpath.($user_core_data->username).'.'.$extention.'" target = "_blank">';
				$result .= '<img src="'.JURI::base().'components/com_juser/images/filesave.png" >';
				$result .= '</a>';
			}

			if($mainframe->isAdmin()){
				$img_file_delete = JURI::root()."administrator/components/com_juser/img/indicator_arrows.gif";
			} else {
				$img_file_delete = JURI::root()."components/com_juser/images/indicator_arrows.gif";
			}

			$result .= ' <span class="small">'.JText::_('Delete existing Avatar:').'</span>';

			$result .= '<a href="javascript: void(0);" onclick = "'
			.'if(confirm(\''.JText::_('Do you realy want to remove your Avatar?').'\'))
          {
            xajax_juRemoveExistingAvatar(\''.$user_core_data->username.'\');
            document.getElementById(\'id_avatar_remove_image\').src = \''.$img_file_delete.'\';
          }">';
			if($mainframe->isAdmin()){
				$result .= '<img src="'.JURI::root().'administrator/components/com_juser/img/trash.png" id="id_avatar_remove_image">';
			} else {
				$result .= '<img src="'.JURI::root().'components/com_juser/images/trash.png" id="id_avatar_remove_image">';
			}
			$result .= '</a>';

			$result .= '</div>';
		}
		$result .= '<input type="file"   name="JU_avatar__"          id="JU_id_avatar_">';
//		$result .= JText::_('OR').'&nbsp'.JHTML::link('http://someurl.com', JText::_('Choose from gallery'), null);
//		$result .= '<input type="hidden" name="JU_avatar__hidden"    id="JU_id_avatar__hidden" value="">';

		return $result;
	}

/// avatar layout frozen
//	function renderFieldAvatars($user_core_data, $active=false)
//	{
//		global $mainframe;
//		$is_file_exist = false;
//		$dir = JPATH_ROOT.DS.JU_GENERAL_AVATARS_DIR;
//		jimport('joomla.filesystem.folder');
//		$files = JFolder::files($dir);
//
//		foreach ($files as $file)
//		{
//			if(isset($user_core_data->username) && substr($file,0,(strlen($file)-strlen(strrchr($file,'.')))) == $user_core_data->username ){
//				$is_file_exist = true;
//				$extention = substr( strrchr( $file, '.' ), 1 );
//			}
//		}
//
//		$result = '';
//
//		if( $is_file_exist ){
//
//			$avurlpath = JURI::root().str_replace('\\', "/", JU_GENERAL_AVATARS_DIR).'/';
//			$result .= $avurlpath.($user_core_data->username).'.'.$extention;
//		}
//		else{
//
//			$avurlpath = JURI::root().'components/com_juser/images/';
//			$result = $avurlpath.'default_avatar.png';
//		}
//		return $result;
//	}

	function renderExtendedFields($extended_data = array())
	{
		jimport('joomla.html.pane');
		$tabs = &JPane::getInstance('sliders');
		global $mainframe;
		$result  = '';
		if($mainframe->isAdmin()){
			$category_separator_header = "\n".'<fieldset class="adminform"><legend>%s</legend>%s<div class="contentpaneopen">';
			$category_separator_footer = "\n".'</div></fieldset>';
		} else {
			switch(JU_REGISTRATION_FORM_CATEGORY_SEPARATOR)
			{
				case 'By fieldset':
					$category_separator_header = "\n".'<fieldset class="adminform"><legend>%s</legend>%s<div class="contentpaneopen">';
					$category_separator_footer = "\n".'</div></fieldset>';
					break;
				case 'sliders':
					$document = &JFactory::getDocument();
					$document->addStyleSheet(JURI::root()."components/com_juser/includes/taber_style.css");
					$result.=$tabs->startPane( 'pane' );
					$category_separator_header = "\n".$tabs->startPanel("%s", 'panel-main-')."%s";
					$category_separator_footer = "\n".$tabs->endPanel();
					break;
				default:
					$category_separator_header = "\n".'<div class="contentheading">%s</div>%s<div class="contentpaneopen">';
					$category_separator_footer = "\n".'</div><span class="article_separator">&nbsp;</span>';
					break;
			}
		}
		//print'<pre>';print_r($extended_data);print'</pre>';

		/*if (count($extended_data)>0)
		 {*/

		$JS_validation = '';
		$current_catid = null;

		$JS_validation .= '<script language="javascript" type="text/javascript">'."\n";

		$fields_aliases = array();
		foreach($extended_data as $field){
			if($field->type=="separator") continue;
			$fields_aliases[] =  $field->alias;
		}
		$JS_validation .= 'var fields_states = [{alias:"'.implode('",state:"Not Checked"},{alias:"',$fields_aliases).'",state:"Not Checked"}];'."\n";

		$JS_validation .= 'previous_alias="";'."\n";
		$JS_validation .= 'function validExtendedField(alias, all ) {'."\n";
		$JS_validation .= 'var form = document.josForm;'."\n";
		$JS_validation .= 'if( ( previous_alias && previous_alias != alias ) || all == 1 ){'."\n";

		foreach($extended_data as $field_num => $field){
			if(!$current_catid || $current_catid != $field->catid){
				if($field_num != 0){
					$result .= '</table>';
					$result .= $category_separator_footer;
				}
				$result .= sprintf($category_separator_header, $field->cat_title, $field->cat_description);
				$result .= '<table class="admintable" cellspacing="1" >';
				$current_catid = $field->catid;
			}
			$result .= '<tr>';
			$result .= JUFrame::renderField($field, $JS_validation);
			$result .= '</tr>';


		}
		if (count($extended_data)<1)
		{
			$result .= "<div><table><tr><td></td></tr>";
		}
		$result .= '</table>';
		$result .= $category_separator_footer;
		if (JU_REGISTRATION_FORM_CATEGORY_SEPARATOR == 'sliders')
		{
			$result .= $tabs->endPane();
		}


		$JS_validation .= '}'."\n";
		$JS_validation .= 'previous_alias = alias;'."\n";
		$JS_validation .= '}'."\n";
		$JS_validation .= '</script>'."\n";
		$result .= $JS_validation;
		//}
		return $result;
	}

	function renderField($field, &$JS_validation)
	{
		global $country_phone_code, $mainframe;

		$myuser = & JFactory::getUser();
		$layout = JRequest::getVar( 'layout' );
		$task = JRequest::getVar( 'task' );
		$repeat = JRequest::getVar( 'repeat' );

		$JS = '';
		$field_params = new JParameter( $field->params );

		//default init
		if( !$field->fvalue && $field_params->get( 'default_values', '' ) && $layout == 'register' && !$repeat ){
			$field->fvalue = $field_params->get( 'default_values', '' );
		}

		//changeable init
		if( $field_params->get( 'changeable', 1 ) == 0 && !$mainframe->isAdmin() && $layout == 'mydetails' ){
			$changeable = false;
		} else {
			$changeable = true;
		}

		$label_td_class = $mainframe->isAdmin() ? ' class="key" ' : '';

		$result  = '';
		if ($field->type == 'separator')
		{
			$result .= '<td >';
			$result .= '</td>';
		}
		else
		{
			$result .= '<td width="150" '.$label_td_class.' valign="top">'."\n";
			$result .= '<label for="'.$field->alias.'">';
			$result .= JText::_($field->title).($field_params->get( 'required', 0 ) == 1 ? '*':'');
			$result .= ($field_params->get('maxlength'))? "<br>".JText::_("Maximum")." ".$field_params->get('maxlength')." ".JText::_("characters"):'';
			$result .= '</label>'."\n";
			$result .= '</td>'."\n";
		}
		if( $field->type != "separator"){
			$result .= '<td onClick="validExtendedField(\''.$field->alias.'\', 0);">'."\n";
		}
		else{
			$result .= '<td>'."\n";
		}
		//Validation***********
		$JS .= 'if(previous_alias == "'.$field->alias.'"){'."\n";
		$JS .= 'setFieldState("'.$field->alias.'","In Process");'."\n";
		$JS .= $field->alias.'_error_msg = "";'."\n";
		switch( $field->type ){
			case 'radio':
				$JS .='value = "";'."\n";
				$JS .='for(i=0 ; i< form.JU_'.$field->alias.'.length ; i++){'."\n";
				$JS .='  if(form.JU_'.$field->alias.'[i].checked){ value = form.JU_'.$field->alias.'[i].value;}'."\n";
				$JS .='}'."\n";
				break;
			case 'mult_select':
				$JS_fvalues = str_replace("\n",'","', str_replace("\r","",$field_params->get( 'values', "" )));
				$JS .='var JU_'.$field->alias.'_values = ["'.$JS_fvalues.'"];'."\n";
				$JS .='value = "";'."\n";
				$JS .='for(i=0 ; i< JU_'.$field->alias.'_values.length ; i++){'."\n";
				$JS .='  if(document.getElementById("JU_id_'.$field->alias.'["+JU_'.$field->alias.'_values[i]+"]").selected){'."\n";
				$JS .='    if(value != ""){value = value +"\n";}'."\n";
				$JS .='    value = value +JU_'.$field->alias.'_values[i];'."\n";
				$JS .='  }'."\n";
				$JS .='}'."\n";
				break;
			case 'checkbox':
				$JS_fvalues = str_replace("\n",'","', str_replace("\r","",$field_params->get( 'values', "" )));
				$JS .='var JU_'.$field->alias.'_values = ["'.$JS_fvalues.'"];'."\n";
				$JS .='value = "";'."\n";
				$JS .='for(i=0 ; i< JU_'.$field->alias.'_values.length ; i++){'."\n";
				$JS .='  if(document.getElementById("JU_id_'.$field->alias.'["+JU_'.$field->alias.'_values[i]+"]").checked){'."\n";
				$JS .='    if(value != ""){value = value +"\n";}'."\n";
				$JS .='    value = value +JU_'.$field->alias.'_values[i];'."\n";
				$JS .='  }'."\n";
				$JS .='}'."\n";
				break;
			case 'date':
				$JS .='if(form.JU_'.$field->alias.'_y.value == "" || form.JU_'.$field->alias.'_m.value == "" || form.JU_'.$field->alias.'_d.value == "")'."\n";
				$JS .='{value="";}'."\n";
				$JS .='else{'."\n";
				$JS .='  value = form.JU_'.$field->alias.'_y.value;'."\n";
				$JS .='  value = value + "-" + form.JU_'.$field->alias.'_m.value;'."\n";
				$JS .='  value = value + "-" + form.JU_'.$field->alias.'_d.value;'."\n";
				$JS .='}'."\n";
				break;
			case 'phone':
				$phone_cond = array();
				$phone_cond[] =  $field_params->get( 'country_code', 0 ) > 0 ? 'form.JU_'.$field->alias.'_country.value == "" ' : 0;
				$phone_cond[] =  $field_params->get( 'city_code',    0 ) > 0 ? 'form.JU_'.$field->alias.'_city.value == "" ' : 0;
				$phone_cond[] =  'form.JU_'.$field->alias.'_phone.value == "" ';
				$phone_cond[] =  $field_params->get( 'extention',    0 ) > 0 ? 'form.JU_'.$field->alias.'_extention.value == "" ' : 0;
				$JS .='if('.implode(' || ', $phone_cond).'){'."\n";
				$JS .='value = "";'."\n";
				$JS .='phone_error_msg = "'.JText::_('Phone is not complete').'";'."\n";
				$JS .='} else {'."\n";
				//$JS .='value = form.JU_'.$field->alias.'_phone.value;'."\n";

				if( $field_params->get( 'country_code', 0 ) > 0 ){
					$JS .='value = form.JU_'.$field->alias.'_country.value;'."\n";
//					$JS .='if (form.JU_'.$field->alias.'_country.value.length > 1){'."\n";
//					$JS .='phone_error_msg = "'.JText::_('Country code could contain only one digit')."\"\n";
//					$JS .='}'."\n";
				}

				if( $field_params->get( 'city_code', 0 ) > 0 ){
					$JS .='value = value + "\n" + form.JU_'.$field->alias.'_city.value;'."\n";
				} else {
					$JS .='value = value + "\n"'."\n";
				}

				$JS .='value = value + "\n" + form.JU_'.$field->alias.'_phone.value;'."\n";
				if( $field_params->get( 'extention', 0 ) > 0 ){
					$JS .='value = value + "\n" + form.JU_'.$field->alias.'_extention.value;'."\n";
				} else {
					$JS .='value = value + "\n"'."\n";
				}
				$JS .='}'."\n";
				//$JS .="console.log(value);\n phone_error_msg='stop this';\n";
				break;
			case 'file':
				$JS .='if(form.JU_'.$field->alias.'.value != ""){'."\n";
				$JS .='value = form.JU_'.$field->alias.'.value;'."\n";
				$JS .='}'."\n";
				$JS .='else if(form.JU_'.$field->alias.'.value == "" && form.JU_'.$field->alias.'_hidden.value != ""){'."\n";
				$JS .='value = form.JU_'.$field->alias.'_hidden.value;'."\n";
				$JS .='}'."\n";
				$JS .='else{'."\n";
				$JS .='value = "";'."\n";
				$JS .='}'."\n";
				break;
			case 'separator':
				break;
			case 'textarea':
				if ($field_params->get('maxlength'))
				{
					$JS .='if(form.JU_'.$field->alias.'.value.length > '.$field_params->get('maxlength').'){'."\n";
					$JS .=$field->alias.'_error_msg ="'.JText::_("The Field must contain maximum").' '
					.$field_params->get('maxlength').' '.JText::_(" characters").'"'."\n";
					$JS .= "}\n";
					$JS .='else{'."\n";
					$JS .='value = form.JU_'.$field->alias.'.value;'."\n";
					$JS .='}'."\n";

				}
				else
				{
					$JS .='value = form.JU_'.$field->alias.'.value;'."\n";
				}
				break;
			case 'link':
				$JS .='value = form.JU_'.$field->alias.'_url.value;'."\n";
				$JS .='value = form.JU_'.$field->alias.'_title.value;'."\n";
				break;
			case 'javascript':
				$JS .='value = form.JU_'.$field->alias.'.value;'."\n";
				break;
			default:
				$JS .='value = form.JU_'.$field->alias.'.value;'."\n";
				break;
		}

		if(($field_params->get( 'required', 0 ) == 1 && $field->type!='separator') )//|| (($field_params->get('unique') && ($field->type == 'text' || $field->type == 'textarea' || $field->type == 'phone' ) ))){
		{

			$JS .= 'if(value == "" && '.$field->alias.'_error_msg == ""){'."\n";
			if ($field_params->get('alternative_message')!='')
			{
				$JS .= $field->alias.'_error_msg = "'.$field_params->get('alternative_message').'"'."\n";
			}
			else
			{
				$JS .= $field->alias.'_error_msg = "'.JText::_('You must provide a').' '.$field->title.'"'."\n";
			}
			$JS .= '}'."\n";
		}

//fields itselves*******************
		switch($field->type)
		{
			case"text":
				if($changeable)
				{
					$maxlenght  = $field_params->get('maxlength', 0) ? 'maxlength ="'.$field_params->get('maxlength', '10').'"' : '';
					$width      = $field_params->get('width', '')     ? 'size ="'.$field_params->get('width', '').'"'           : '';
					if ($field->fvalue == '')
					{
						$field->fvalue = JText::_($field_params->get('default_value', $field->fvalue));
					}
					$result    .= '<input type="text" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.htmlspecialchars($field->fvalue).'" class="inputbox" '.$maxlenght.' '.$width.' onblur="validExtendedField(\''.$field->alias.'\', 0);">';
				} 
				else 
				{
					$result .= JText::_($field->fvalue);
					$result .= '<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.htmlspecialchars($field->fvalue).'" >';
				}
				break;
			case"textarea":
				if($changeable){
					$cols = $field_params->get('cols', '') ? 'cols ="'.$field_params->get('cols', '').'"' : '';
					$rows = $field_params->get('rows', '') ? 'rows ="'.$field_params->get('rows', '').'"' : '';
					$result .= '<textarea name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" class="inputbox" wrap="virtual" '.$cols.' '.$rows.' onblur="validExtendedField(\''.$field->alias.'\', 0);">'.$field->fvalue.'</textarea>';
				} else {
					$result .= JText::_(nl2br($field->fvalue));
					$result .= '<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
				}
				break;
			case"checkbox":
				if($changeable){
					if( $field_params->get('values','') )
					{
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else 
					{
						$values = null;
					}
					$count_cols  = $field_params->get( 'cols', 1 );

					$count_rows  = round( count( $values ) / $count_cols );
					$current_row = 0;

					if( $count_rows < count( $values ) / $count_cols ){
						$count_rows ++;
					}

					$rows = array();

					$result.='<table><tr>';
					if( $values ){

						foreach($values as $i => $value){
							$current_row++;
							if(!isset($rows[$current_row])){
								$rows[$current_row] = '';
							}

							if( $current_row > $count_rows ){
								$current_row = 1;
							}
							if( $task == 'register' || $task == 'add')
							{
								if( $field_params->get('default_values','') )
								{
									$default_values = explode( "\n", str_replace( "\r", '', $field_params->get('default_values','') ) );
								} else 
								{
									$default_values = null;
								}
								if( $default_values && in_array($value, $default_values)){
									$checked = 'checked="checked"';
								} 
								else 
								{
									$checked = '';
								}
							}
							else 
							{
								$fvalues = explode( "\n", str_replace( "\r", '', $field->fvalue ));
								if (in_array($value, $fvalues))
								{
									$checked = 'checked="checked"';
								}
								else
								{
									$checked = '';
								}
								
							}

							$rows[$current_row] .= '<td>';
							$rows[$current_row] .= '<input type="checkbox" id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']" class="inputbox" value="'.$value.'" '.$checked.' onChange="validExtendedField(\''.$field->alias.'\', 0);"/>';
							$rows[$current_row] .= '<label for="JU_id_'.$field->alias.'['.$value.']">'.JText::_($value).'</label>';
							$rows[$current_row] .= '</td>';
						}
					}
					$result .= @implode( "</tr><tr>", $rows );
					$result .= '</tr></table>';

				} else {

					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					if( $values ){
						foreach($values as $i => $value)
						{
							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$result .= '<input type="hidden" id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']" value="'.$value.'"/>';
							}
						}
					}
					$result .= JText::_($field->fvalue);
				}
				break;
			case"radio":
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}
					$count_cols  = $field_params->get( 'cols', 1 );
					$count_rows  = round( count( $values ) / $count_cols );
					$current_row = 0;

					if( $count_rows < count( $values ) / $count_cols ){
						$count_rows ++;
					}

					unset($rows);
					$result.='<table><tr>';
					if( $values ){
						foreach($values as $i => $value)
						{
							$current_row++;

							if(!isset($rows[$current_row])){
								$rows[$current_row] = '';
							}

							if( $current_row > $count_rows ){
								$current_row = 1;
							}

							if( $field->fvalue == $value){
								$checked = ' checked ="checked" ';
							}	else if($field->fvalue == '' && $value == $field_params->get('default_value', $field->fvalue))	{
								$checked = ' checked ="checked" ';
							}	else {
								$checked = '';
							}

							$rows[$current_row] .= '<td>';
							$rows[$current_row] .= '<input type="radio" id="JU_id_'.$field->alias.'" name="JU_'.$field->alias.'" class="inputbox" value="'.$value.'" '.$checked.' onChange="validExtendedField(\''.$field->alias.'\', 0);"/>';
							$rows[$current_row] .= JText::_($value);
							$rows[$current_row] .= '</td>';
						}
					}
					$result .= @implode( "</tr><tr>", $rows );
					$result .= '</tr></table>';
				} else {
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					if( $values ){
						foreach($values as $i => $value)
						{
							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$result .= '<input type="hidden" id="JU_id_'.$field->alias.'" name="JU_'.$field->alias.'" value="'.$value.'" />';
							}
						}
					}
					$result .= JText::_($field->fvalue);
				}
				break;
			case"select":
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}
					unset($options);
					$option = new stdClass;
					$option->text  = JText::_(trim($field_params->get('empty_value','')));
					$option->value = '';
					$options[] = $option;

					foreach($values as $value){
						$option = new stdClass;
						$option->text  = JText::_($value);
						$option->value = $value;
						$options[] = $option;
					}
					if ($field->fvalue == ''){$field->fvalue = $field_params->get('default_value', $field->fvalue);}
					$result .= JHTML::_('select.genericlist', $options, 'JU_'.$field->alias, 'onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'"',  'value', 'text', $field->fvalue );
				} else {
					$result .= "\n".'<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
					$result .= $field->fvalue;
				}
				break;
			case"mult_select":
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}
					unset($options);					
					//get  default values
					if ( ( $task == 'register' || $field->fvalue == "" ) && $field_params->get('default_values','') )
					{
						$default_values = explode( "\n", str_replace( "\r", '', $field_params->get('default_values','') ) );
					} 
					else 
					{
						$fvalues = explode( "\n", str_replace( "\r", '', $field->fvalue ));
						$default_values = null;
					}
					
					$result .= '<table><tr><td>
					<select id="JU_id_'.$field->alias.'[]" name="JU_'.$field->alias.'[]" multiple="multiple" onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" >';
					
					foreach($values as $value){
					
						if( $task == 'register' || $task == 'add' /*|| $field->fvalue == "" */)
						{
							if( $default_values && in_array($value, $default_values))
							{
								 $selected = 'selected="selected"';
							} 
							else $selected = '';
							
						}
						else 
						{
							$fvalues = explode( "\n", str_replace( "\r", '', $field->fvalue ));
							if (in_array($value, $fvalues))
							{
								 $selected = 'selected="selected"';
							}
							else $selected = '';
						}
						
						$result .= '<option value="'.$value.'" '.$selected.' id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']">'.JText::_($value).'</option>';
						
					}
					$result .= '</select></td></tr></table>';
				} else {
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					if( $values ){
						foreach($values as $i => $value)
						{
							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$result .= '<input type="hidden" id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']" value="'.$value.'"/>';
								$result .= JText::_($value).'<br>';
							}
						}
					}
				}
				break;
			case"date":
				if($field->fvalue){
					$selected_date = explode  ( '-', $field->fvalue );
					$selected_y = $selected_date[0];
					$selected_m = $selected_date[1];
					$selected_d = $selected_date[2];
				} else {
					$selected_y = '';
					$selected_m = '';
					$selected_d = '';
				}

				if($changeable){
					$year_from = $field_params->get( 'from_year', 1970 );
					$year_to   = $field_params->get( 'to_year',   2020 );

					$monthes = array( '01' => 'ALL_MONTH_JANUARY',
				'02' => 'ALL_MONTH_FEBRUARY',
				'03' => 'ALL_MONTH_MARCH',
				'04' => 'ALL_MONTH_APRIL',
				'05' => 'ALL_MONTH_MAY',
				'06' => 'ALL_MONTH_JUNE',
				'07' => 'ALL_MONTH_JULY',
				'08' => 'ALL_MONTH_AUGUST',
				'09' => 'ALL_MONTH_SEPTEMBER',
				'10' => 'ALL_MONTH_OCTOBER',
				'11' => 'ALL_MONTH_NOVEMBER',
				'12' => 'ALL_MONTH_DECEMBER' );

					unset($options);

					$option = new stdClass;
					$option->text  = '';
					$option->value = '';
					$options[] = $option;

					for( $year = $year_from; $year<= $year_to; $year++ ){
						$option = new stdClass;
						$option->text  = $year;
						$option->value = $year;
						$options[] = $option;
					}

					$years_list = JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_y', ' onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'_y"', 'value', 'text', $selected_y );

					unset($options);

					$option = new stdClass;
					$option->text  = '';
					$option->value = '';
					$options[] = $option;

					foreach($monthes as $month_num => $month){
						$option = new stdClass;
						$option->text  = JText::_($month);
						$option->value = $month_num;
						$options[] = $option;
					}

					$monthes_list = JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_m', 'onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'_m"', 'value', 'text', $selected_m );

					unset($options);

					$option = new stdClass;
					$option->text  = '';
					$option->value = '';
					$options[] = $option;

					for($day = 1; $day<=31; $day++){
						$option = new stdClass;
						$option->text  = $day;
						$option->value = $day < 10 ? '0'.$day : $day;
						$options[] = $option;
					}

					$days_list = JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_d', 'onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'_d"', 'value', 'text', $selected_d );
					$result .= '<table>';
					if ($field_params->get('show_year', 1))
					{
						$result .= '<td><span class="small">'.JText::_('Year').'<br>'.$years_list.'</span></td>';
					}
					else
					{
						$result .= "<input type='hidden' name='JU_".$field->alias."_y' id='JU_id_".$field->alias."_y' value = '0000'/>";
					}
					if ($field_params->get('show_month', 1))
					{
						$result .= '<td><span class="small">'.JText::_('Month').'<br>'.$monthes_list.'</span></td>';
					}
					else
					{
						$monthes_list .= "<input type='hidden' name='JU_".$field->alias."_m' id='JU_id_".$field->alias."_m' value = '00' />";

					}
					if ($field_params->get('show_day', 1))
					{
						$result .= '<td><span class="small">'.JText::_('Days').'<br>'.$days_list.'</span></td>';
					}
					else
					{
						$result    .= "<input type='hidden' name='JU_".$field->alias."_d' id='JU_id_".$field->alias."_d' value = '00' />";
					}
					$result .= '</table>';
				} else {
					if ($field_params->get('make_dynamic'))
					{
						$result.= JSUserHelper::countDateInterval($field->fvalue)." ".JText::_("Years");
					}
					else
					{
						$result.= $field->fvalue;
					}

					$years_list = '';
					$monthes_list = '';
					$days_list = '';
					$years_list   .= "<input type='hidden' name='JU_".$field->alias."_y' id='JU_id_".$field->alias."_y' value = '".$selected_y."'";
					$monthes_list .= "<input type='hidden' name='JU_".$field->alias."_m' id='JU_id_".$field->alias."_m' value = '".$selected_m."'";
					$days_list    .= "<input type='hidden' name='JU_".$field->alias."_d' id='JU_id_".$field->alias."_d' value = '".$selected_d."'";
					$result.=$years_list.$monthes_list.$days_list;

				}
				break;
			case"calendar":
				if($changeable){
					$result .= JHTML::_('calendar', $field->fvalue, 'JU_'.$field->alias, 'JU_id_'.$field->alias, '%Y-%m-%d', array('class' => 'inputbox', 'readonly' => 'readonly'));
				} else {
					$result .= '<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
					$result .= $field->fvalue;
				}
				break;
			case"phone":
				if( $field->fvalue ){
					$selected_phone_ = explode  ( "\n", str_replace( "\r", "", $field->fvalue ) );

					$assigned_country   = isset($selected_phone_[0]) ? $selected_phone_[0] : '';
					$assigned_city      = isset($selected_phone_[1]) ? $selected_phone_[1] : '';
					$assigned_phone     = isset($selected_phone_[2]) ? $selected_phone_[2] : '';
					$assigned_extention = isset($selected_phone_[3]) ? $selected_phone_[3] : '';
				} else {
					$assigned_country   = '';
					$assigned_city      = '';
					$assigned_phone     = '';
					$assigned_extention = '';
				}

				$phone_length = $field_params->get('phone_length', 7);
				if($changeable){
					$result .= '<table><tr>';

					if( $field_params->get( 'country_code', 0 ) > 0 ){
						$result .= '<td><span class="small">'.JText::_('Country code').'</span><br>';

						if($field_params->get( 'country_code', 0 ) == 1){
							unset($options);
							$option = new stdClass;
							$option->text  = '';
							$option->value = '';
							$options[] = $option;

							foreach($country_phone_code as $country_name => $country_code){
								$option = new stdClass;
								$option->text  = JText::_($country_name);
								$option->value = $country_code;
								$options[] = $option;
							}

							$result .= JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_country', 'class="inputbox" style="width:90px;" id="JU_id_'.$field->alias.'_country"', 'value', 'text', $assigned_country ).' ';
						} else {
							$result .= '<input type="text" name="JU_'.$field->alias.'_country" id="JU_id_'.$field->alias.'_country" value="'.$assigned_country.'" class="inputbox" size="5" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
						}

						$result .= '</td>';
					}

					if( $field_params->get( 'city_code', 0 ) == 1 ){

						$result .= '<td><span class="small">'.JText::_('City code').'</span><br>';
						$result .= '<input type="text" name="JU_'.$field->alias.'_city" id="JU_id_'.$field->alias.'_city" value="'.$assigned_city.'" class="inputbox" size="5" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
						$result .= '</td>';
					}

					$result .= '<td><span class="small">'.JText::_('Phone').'</span><br>';
					$result .= '<input type="text" name="JU_'.$field->alias.'_phone" id="JU_id_'.$field->alias.'_phone" value="'.$assigned_phone.'" class="inputbox" size="'.(int)$phone_length.'" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
					$result .= '</td>';

					if( $field_params->get( 'extention', 0 ) == 1 ){
						$result .= '<td><span class="small">'.JText::_('Extention').'</span><br>';
						$result .= '<input type="text" name="JU_'.$field->alias.'_extention" id="JU_id_'.$field->alias.'_extention" value="'.$assigned_extention.'" class="inputbox" size="5" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
						$result .= '</td>';
					}
					$result .= '</tr></table>';
				} else {
					$result .= $field->fvalue;
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_country"   id="JU_id_'.$field->alias.'_country"   value="'.$assigned_country.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_city"      id="JU_id_'.$field->alias.'_city"      value="'.$assigned_city.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_phone"     id="JU_id_'.$field->alias.'_phone"     value="'.$assigned_phone.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_extention" id="JU_id_'.$field->alias.'_extention" value="'.$assigned_extention.'">';
				}
				break;
			case"file":
				if($changeable){
					if($field->fvalue){
						$result .= '<div id="'.$field->alias.'_file_tools">';
						$result .= '<span class="small">'.JText::_('Already existing file: ').'</span>';
						if($mainframe->isAdmin()){
							$result .= ' <a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::base().'images/filesave.png" >';
							$result .= '</a>';
						} else {
							$result .= '<a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::root().'components/com_juser/images/filesave.png" >';
							$result .= '</a>';
						}

						if($mainframe->isAdmin()){
							$img_file_delete = JURI::base()."components/com_juser/img/indicator_arrows.gif";
						} else {
							$img_file_delete = JURI::root()."components/com_juser/images/indicator_arrows.gif";
						}

						$result .= ' <span class="small">'.JText::_('Delete existing file: ').'</span>';

						$result .= '<a href="javascript: void(0);" onclick = "if(confirm(\''.JText::_('Do you realy want to remove this file?').'\')){xajax_juRemoveExistingFile('.$myuser->id.', '.$field->field_id.', \''.$field->alias.'\'); document.getElementById(\'id_file_remove_image_'.$field->alias.'\').src = \''.$img_file_delete.'\';}">';
						if($mainframe->isAdmin()){
							$result .= '<img src="'.JURI::base().'components/com_juser/img/trash.png" id="id_file_remove_image">';
						} else {
							$result .= '<img src="'.JURI::root().'components/com_juser/images/trash.png" id="id_file_remove_image_'.$field->alias.'">';
						}
						$result .= '</a>';

						$result .= '</div>';
					}
					$result .= '<input type="file"   name="JU_'.$field->alias.'"        id="JU_id_'.$field->alias.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_hidden" id="JU_id_'.$field->alias.'_hidden" value="'.$field->fvalue.'">';

					if($field_params->get('legal_extensions','')){
						$extentions = str_replace( array("\r","\n"), "", $field_params->get('legal_extensions','') );
						$extentions = explode (',',$extentions);

						foreach( $extentions as $key => $extention ) $extentions[$key] = trim($extention);

						$extention_str = implode('|',$extentions);

						$JS .= 'var r       = new RegExp("'.$extention_str.'$", "i");'."\n";
						$JS .= 'if( '.$field->alias.'_error_msg == "" && form.JU_'.$field->alias.'.value != "" && !r.exec(form.JU_'.$field->alias.'.value)){'."\n";
						$JS .= $field->alias.'_error_msg = "'.JText::_('Extention of this file is not legal').'"'."\n";
						$JS .= '}'."\n";
					}
				} else {
					if($field->fvalue){
						$result .= '<div id="'.$field->alias.'_file_tools">';
						$result .= '<span class="small">'.JText::_('Already existing file: ').'</span>';
						if($mainframe->isAdmin()){
							$result .= ' <a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::base().'images/filesave.png" >';
							$result .= '</a>';
						} else {
							$result .= '<a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::root().'components/com_juser/images/filesave.png" >';
							$result .= '</a>';
						}
						$result .= '</div>';
					}
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_hidden" id="JU_id_'.$field->alias.'_hidden" value="'.$field->fvalue.'">';
				}
				break;
			case"link":
				$array = explode("^",$field->fvalue);
				if($changeable){
					$maxlenght  = $field_params->get('maxlength', 0) ? 'maxlength ="'.$field_params->get('maxlength', '10').'"' : '';
					$width      = $field_params->get('width', '')     ? 'size ="'.$field_params->get('width', '').'"'           : '';
					if (@$array[0] == ''){@$array[0] = $field_params->get('default_url', @$array[0]);}
					if (@$array[1] == ''){@$array[1] = $field_params->get('default_title', @$array[1]);}
					$result    .= JText::_("URL").' <input type="text" name="JU_'.$field->alias.'_url" id="JU_id_'.$field->alias.'_url" value="'.$array[0].'" class="inputbox" '.$maxlenght.' '.$width.' onblur="validExtendedField(\''.$field->alias.'\', 0);">';
					$result    .= JText::_("Title").' <input type="text" name="JU_'.$field->alias.'_title" id="JU_id_'.$field->alias.'_title" value="'.$array[1].'" class="inputbox" '.$maxlenght.' '.$width.' onblur="validExtendedField(\''.$field->alias.'\', 0);">';
				} else {
					$result .= $field->fvalue;
					$title   = (isset($array[1]) &&  $array[1]) ? $title = $array[1] : @$array[0];
					$result .= '<a href="'.@$array[0].'">'.$title."</a>";
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_url" id="JU_id_'.$field->alias.'_url" value="'.$array[0].'" >';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_title" id="JU_id_'.$field->alias.'_title" value="'.$array[1].'" >';
				}
				break;
			case 'javascript':
					if ($changeable)
					{
						$result.='<input type="text" class="inputbox" name="JU_'.$field->alias.'" id="JU_'.$field->alias.'" value="'.htmlentities($field->fvalue, ENT_QUOTES).'">';
					}
					else
					{
						$result .= '<input type="hidden" name="JU_'.$field->alias.'_title" id="JU_id_'.$field->alias.'_title" value="'.$field->fvalue.'" >';
					}
				break;
			case"separator":
				$class = ($field_params->get('class'))?'class="'.$field_params->get('class').'"': "";
				$result .= '<div '.$class.' >'.$field_params->get('contents').'</div>';
				break;
		}

		//****************
		$result .= "\n".'<div class="small">'.JText::_($field->description).'</div>';
		$result .= '</td>';
		$result .= '<td id="JU_'.$field->alias.'_message_box">';
		$result .= (isset($field->error_msg) && $field->error_msg) != ''? '<img src="administrator/images/publish_x.png">'.$field->error_msg : '';
		$result .= '</td>';

		$JS .= 'if('.$field->alias.'_error_msg != ""){'."\n";
		$JS .= '  setFieldMark( "JU_'.$field->alias.'", '.$field->alias.'_error_msg );'."\n";
		$JS .= '  setFieldState("'.$field->alias.'","False")'."\n";
		$JS .= '}'."\n";
		$JS .= '//else if(value == ""){setFieldEmptyMark("JU_'.$field->alias.'");}'."\n";
		$JS .= 'else{setFieldMark( "JU_'.$field->alias.'", "" );}'."\n";


		$xajax_validation_tasks = array();

		if( $field_params->get( 'unique', 0 ) == 1 ){
			$xajax_validation_tasks[] = 'unique';
		}
		if( $field_params->get( 'validate', 0 ) != '' ){
			$xajax_validation_tasks[] = 'validate';
		}
		if( count($xajax_validation_tasks) > 0 ){ // in case if xajax is include in validate then field state not changing
			$JS .= 'if('.$field->alias.'_error_msg == ""){'."\n";
			$JS .= 'setFieldWaitMark( "JU_'.$field->alias.'" );'."\n";
			$JS .= 'xajax_juValidate( "'.$field->alias.'", '.$field->id.', '.$myuser->id.', value, "'.implode(',',$xajax_validation_tasks).'" );'."\n";
			$JS .= '}'."\n";
		}else{ // in case if xajax is not include in validate then field state set in true
			$JS .= 'if('.$field->alias.'_error_msg == ""){ setFieldState("'.$field->alias.'","True");}'."\n";
		}

		$JS .= '}'."\n"; //end of validate this field

		if($changeable){
			$JS_validation .= $JS;
		}

		return $result;
	}
	function renderiField($field){
		
		global $country_phone_code, $mainframe;

		$myuser = & JFactory::getUser();
		$layout = JRequest::getVar( 'layout' );
		$repeat = JRequest::getVar( 'repeat' );

		$JS = '';
		$field_params = new JParameter( $field->params );

		//default init
		if( !$field->fvalue && $field_params->get( 'default_values', '' ) && $layout == 'register' && !$repeat ){
			$field->fvalue = $field_params->get( 'default_values', '' );
		}

		//changeable init
		if( $field_params->get( 'changeable', 1 ) == 0 && !$mainframe->isAdmin() && $layout == 'mydetails' ){
			$changeable = false;
		} else {
			$changeable = true;
		}

		$label_td_class = $mainframe->isAdmin() ? ' class="key" ' : '';

		$result  = '';
		switch($field->type)
		{
			case"text":
				if($changeable){
					$maxlenght  = $field_params->get('maxlength', 0) ? 'maxlength ="'.$field_params->get('maxlength', '10').'"' : '';
					$width      = $field_params->get('width', '')     ? 'size ="'.$field_params->get('width', '').'"'           : '';
					if ($field->fvalue == ''){$field->fvalue = $field_params->get('default_value', $field->fvalue);}
					$result .= '<label>'.$field->title.'</label>';
					$result    .= '<input type="text" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" class="inputbox" '.$maxlenght.' '.$width.' onblur="validExtendedField(\''.$field->alias.'\', 0);">';
				} else {
					$result .= '<span class="labelike">'.$field->title.'</span>';
					$result .= $field->fvalue;
					$result .= '<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
				}
				break;
			case"textarea":
				$result .= '<span class="labelike">'.$field->title.'</span>';
				if($changeable){
					$cols = $field_params->get('cols', '') ? 'cols ="'.$field_params->get('cols', '').'"' : '';
					$rows = $field_params->get('rows', '') ? 'rows ="'.$field_params->get('rows', '').'"' : '';
					$result .= '<textarea name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" class="inputarea" wrap="virtual" '.$cols.' '.$rows.' onblur="validExtendedField(\''.$field->alias.'\', 0);">'.$field->fvalue.'</textarea>';
				} else {
					$result .= nl2br($field->fvalue);
					$result .= '<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
				}
				break;
			case"checkbox":
				$result .= '<span class="labelike">'.$field->title.'</span>';
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					$count_cols  = $field_params->get( 'cols', 1 );
					$count_rows  = round( count( $values ) / $count_cols );
					$current_row = 0;

					if( $count_rows < count( $values ) / $count_cols ){
						$count_rows ++;
					}

					$rows = array();

					$result.='<div>';
					if( $values ){

						foreach($values as $i => $value){
							$current_row++;

							if(!isset($rows[$current_row])){
								$rows[$current_row] = '';
							}

							if( $current_row > $count_rows ){
								$current_row = 1;
							}

							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$checked = 'checked="checked"';
							} else {
								$checked = '';
							}

							$rows[$current_row] .= '<span>';
							$rows[$current_row] .= '<input type="checkbox" id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']" class="check" value="'.$value.'" '.$checked.' onChange="validExtendedField(\''.$field->alias.'\', 0);"/>';
							$rows[$current_row] .= '<span class="labelike">'.$value.'</span>';
							$rows[$current_row] .= '</span>';
						}
					}
					$result .= @implode( "</div><div>", $rows );
					$result .= '</div>';

				} else {

					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					if( $values ){
						foreach($values as $i => $value)
						{
							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$result .= '<input type="hidden" id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']" value="'.$value.'"/>';
							}
						}
					}
					$result .= $field->fvalue;
				}
				break;
			case"radio":
				$result .= '<span class="labelike">'.$field->title.'</span>';
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}
					$count_cols  = $field_params->get( 'cols', 1 );
					$count_rows  = round( count( $values ) / $count_cols );
					$current_row = 0;

					if( $count_rows < count( $values ) / $count_cols ){
						$count_rows ++;
					}

					unset($rows);
					$result.='<div>';
					if( $values ){
						foreach($values as $i => $value)
						{
							$current_row++;

							if(!isset($rows[$current_row])){
								$rows[$current_row] = '';
							}

							if( $current_row > $count_rows ){
								$current_row = 1;
							}

							if( $field->fvalue == $value){
								$checked = ' checked ="checked" ';
							}	else if($field->fvalue == '' && $value == $field_params->get('default_value', $field->fvalue))	{
								$checked = ' checked ="checked" ';
							}	else {
								$checked = '';
							}

							$rows[$current_row] .= '<span>';
							$rows[$current_row] .= '<input type="radio" id="JU_id_'.$field->alias.'" name="JU_'.$field->alias.'" class="radio" value="'.$value.'" '.$checked.' onChange="validExtendedField(\''.$field->alias.'\', 0);"/>';
							$rows[$current_row] .= '<span class="labelike">'.$value.'</span>';
							$rows[$current_row] .= '</span>';
						}
					}
					$result .= @implode( "</div><div>", $rows );
					$result .= '</div>';
				} else {
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					if( $values ){
						foreach($values as $i => $value)
						{
							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$result .= '<input type="hidden" id="JU_id_'.$field->alias.'" name="JU_'.$field->alias.'" value="'.$value.'" />';
							}
						}
					}
					$result .= $field->fvalue;
				}
				break;
			case"select":
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}
					unset($options);

					$option = new stdClass;
					$option->text  = $field_params->get('empty_value','');
					$option->value = '';
					$options[] = $option;

					foreach($values as $value){
						$option = new stdClass;
						$option->text  = $value;
						$option->value = $value;
						$options[] = $option;
					}
					$result .= '<span class="labelike">'.$field->title.'</span>';
					if ($field->fvalue == ''){$field->fvalue = $field_params->get('default_value', $field->fvalue);}
					$result .= JHTML::_('select.genericlist', $options, 'JU_'.$field->alias, 'onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'"',  'value', 'text', $field->fvalue );
				} else {
					$result .= "\n".'<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
					$result .= $field->fvalue;
				}
				break;
			case"mult_select":
				if($changeable){
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}
					unset($options);					
					//get  default values
					if ( ( $task == 'register' || $field->fvalue == "" ) && $field_params->get('default_values','') )
					{
						$default_values = explode( "\n", str_replace( "\r", '', $field_params->get('default_values','') ) );
					} 
					else 
					{
						$fvalues = explode( "\n", str_replace( "\r", '', $field->fvalue ));
						$default_values = null;
					}
					$result .= '<span class="labelike">'.$field->title.'</span>';
					$result .= '<select id="JU_id_'.$field->alias.'[]" name="JU_'.$field->alias.'[]" multiple="multiple" onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" >';
					
					foreach($values as $value){
					
						if( $field->fvalue == "" )
						{
							if( $default_values && in_array($value, $default_values))
							{
								 $selected = 'selected="selected"';
							} 
							else $selected = '';
							
						}
						else 
						{
							$fvalues = explode( "\n", str_replace( "\r", '', $field->fvalue ));
							if (in_array($value, $fvalues))
							{
								 $selected = 'selected="selected"';
							}
							else $selected = '';
						}
						
						$result .= '<option value="'.$value.'" '.$selected.' id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']">'.JText::_($value).'</option>';
						
					}
					$result .= '</select>';
				} else {
					if( $field_params->get('values','') ){
						$values = explode( "\n", str_replace( "\r", '', $field_params->get('values','') ) );
					} else {
						$values = null;
					}

					if( $values ){
						foreach($values as $i => $value)
						{
							$kt = array_search ( $value, explode( "\n", str_replace( "\r", '', $field->fvalue ) ) );

							if( $kt || $kt === 0 ){
								$result .= '<input type="hidden" id="JU_id_'.$field->alias.'['.$value.']" name="JU_'.$field->alias.'['.$value.']" value="'.$value.'"/>';
								$result .= JText::_($value).'<br>';
							}
						}
					}
				}
				break;
			case"date":
				if($field->fvalue){
					$selected_date = explode  ( '-', $field->fvalue );
					$selected_y = $selected_date[0];
					$selected_m = $selected_date[1];
					$selected_d = $selected_date[2];
				} else {
					$selected_y = '';
					$selected_m = '';
					$selected_d = '';
				}

				if($changeable){
					$year_from = $field_params->get( 'from_year', 1970 );
					$year_to   = $field_params->get( 'to_year',   2020 );

					$monthes = array( '01' => 'ALL_MONTH_JANUARY',
				'02' => 'ALL_MONTH_FEBRUARY',
				'03' => 'ALL_MONTH_MARCH',
				'04' => 'ALL_MONTH_APRIL',
				'05' => 'ALL_MONTH_MAY',
				'06' => 'ALL_MONTH_JUNE',
				'07' => 'ALL_MONTH_JULY',
				'08' => 'ALL_MONTH_AUGUST',
				'09' => 'ALL_MONTH_SEPTEMBER',
				'10' => 'ALL_MONTH_OCTOBER',
				'11' => 'ALL_MONTH_NOVEMBER',
				'12' => 'ALL_MONTH_DECEMBER' );

					unset($options);

					$option = new stdClass;
					$option->text  = '- '.JText::_('Year').' -';
					$option->value = '';
					$options[] = $option;

					for( $year = $year_from; $year<= $year_to; $year++ ){
						$option = new stdClass;
						$option->text  = $year;
						$option->value = $year;
						$options[] = $option;
					}

					$years_list = JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_y', ' onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'_y"', 'value', 'text', $selected_y );

					unset($options);

					$option = new stdClass;
					$option->text  = '- '.JText::_('Month').' -';
					$option->value = '';
					$options[] = $option;

					foreach($monthes as $month_num => $month){
						$option = new stdClass;
						$option->text  = JText::_($month);
						$option->value = $month_num;
						$options[] = $option;
					}

					$monthes_list = JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_m', 'onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'_m"', 'value', 'text', $selected_m );

					unset($options);

					$option = new stdClass;
					$option->text  = '- '.JText::_('Day').' -';
					$option->value = '';
					$options[] = $option;

					for($day = 1; $day<=31; $day++){
						$option = new stdClass;
						$option->text  = $day;
						$option->value = $day < 10 ? '0'.$day : $day;
						$options[] = $option;
					}
					$result .= '<span class="labelike">'.$field->title.'</span><br>';
					$days_list = JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_d', 'onChange="validExtendedField(\''.$field->alias.'\', 0);" class="inputbox" id="JU_id_'.$field->alias.'_d"', 'value', 'text', $selected_d );
					if ($field_params->get('show_year', 1))
					{
//						$result .= '<div><span class="labelike">'.JText::_('Year').'</span>'.$years_list.'</div>';
						$result .= '<div>'.$years_list.'</div>';
					}
					else
					{
						$result .= "<input type='hidden' name='JU_".$field->alias."_y' id='JU_id_".$field->alias."_y' value = '0000'/>";
					}
					if ($field_params->get('show_month', 1))
					{
//						$result .= '<div><span class="labelike">'.JText::_('Month').'</span>'.$monthes_list.'</div>';
						$result .= '<div>'.$monthes_list.'</div>';
					}
					else
					{
						$monthes_list .= "<input type='hidden' name='JU_".$field->alias."_m' id='JU_id_".$field->alias."_m' value = '00' />";

					}
					if ($field_params->get('show_day', 1))
					{
//						$result .= '<div><span class="labelike">'.JText::_('Days').'</span>'.$days_list.'</div>';
						$result .= '<div>'.$days_list.'</div>';
					}
					else
					{
						$result    .= "<input type='hidden' name='JU_".$field->alias."_d' id='JU_id_".$field->alias."_d' value = '00' />";
					}
				} else {
					if ($field_params->get('make_dynamic'))
					{
						$result.= JSUserHelper::countDateInterval($field->fvalue)." ".JText::_("Years");
					}
					else
					{
						$result.= $field->fvalue;
					}

					$years_list = '';
					$monthes_list = '';
					$days_list = '';
					$years_list   .= "<input type='hidden' name='JU_".$field->alias."_y' id='JU_id_".$field->alias."_y' value = '".$selected_y."'";
					$monthes_list .= "<input type='hidden' name='JU_".$field->alias."_m' id='JU_id_".$field->alias."_m' value = '".$selected_m."'";
					$days_list    .= "<input type='hidden' name='JU_".$field->alias."_d' id='JU_id_".$field->alias."_d' value = '".$selected_d."'";
					$result.=$years_list.$monthes_list.$days_list;

				}
				break;
			case"calendar":
				if($changeable){
					//$result .= JHTML::_('calendar', $field->fvalue, 'JU_'.$field->alias, 'JU_id_'.$field->alias, '%Y-%m-%d', array('class' => 'inputbox', 'readonly' => 'readonly'));
					$result .= '<label>'.$field->title.'</label>';
					$result .= '<input type="text" class="inputbox" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
				} else {
					$result .= '<span class="labelike">'.$field->title.'</span>';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'" id="JU_id_'.$field->alias.'" value="'.$field->fvalue.'" >';
					$result .= $field->fvalue;
				}
				break;
			case"phone":
				$result .= '<span class="labelike">'.$field->title.'</span><br>';
				if( $field->fvalue ){
					$selected_phone_ = explode  ( "\n", str_replace( "\r", "", $field->fvalue ) );
					$assigned_country   = isset($selected_phone_[0]) ? $selected_phone_[0] : '';
					$assigned_city      = isset($selected_phone_[1]) ? $selected_phone_[1] : '';
					$assigned_phone     = isset($selected_phone_[2]) ? $selected_phone_[2] : '';
					$assigned_extention = isset($selected_phone_[3]) ? $selected_phone_[3] : '';
				} else {
					$assigned_country   = '';
					$assigned_city      = '';
					$assigned_phone     = '';
					$assigned_extention = '';
				}

				$phone_length = $field_params->get('phone_length', 7);
				if($changeable){

					if( $field_params->get( 'country_code', 0 ) > 0 ){
						$result .= "<div>";
						if($field_params->get( 'country_code', 0 ) == 1){
							unset($options);
							$option = new stdClass;
							$option->text  = '- '.JText::_('Select country').' -';
							$option->value = '';
							$options[] = $option;

							foreach($country_phone_code as $country_name => $country_code){
								$option = new stdClass;
								$option->text  = JText::_($country_name);
								$option->value = $country_code;
								$options[] = $option;
							}

							//$result .= '<span class="labelike">'.JText::_('Country code').'</span>';
							$result .= JHTML::_('select.genericlist', $options, 'JU_'.$field->alias.'_country', 'class="inputbox" id="JU_id_'.$field->alias.'_country"', 'value', 'text', $assigned_country ).' ';
						} else {
							$result .= '<label>'.JText::_('Country code').'</label>';
							$result .= '<input type="text" name="JU_'.$field->alias.'_country" id="JU_id_'.$field->alias.'_country" value="'.$assigned_country.'" class="inputbox" size="5" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
						}
						$result .= "</div>";

					}

					if( $field_params->get( 'city_code', 0 ) == 1 ){

						$result .= "<div>";
						$result .= '<label>'.JText::_('City code').'</label>';
						$result .= '<input type="text" name="JU_'.$field->alias.'_city" id="JU_id_'.$field->alias.'_city" value="'.$assigned_city.'" class="inputbox" size="5" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
						$result .= "</div>";
					}

					$result .= "<div>";
					$result .= '<label>'.JText::_('Phone').'</label>';
					$result .= '<input type="text" name="JU_'.$field->alias.'_phone" id="JU_id_'.$field->alias.'_phone" value="'.$assigned_phone.'" class="inputbox" size="'.(int)$phone_length.'" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
					$result .= "</div>";

					if( $field_params->get( 'extention', 0 ) == 1 ){
						$result .= "<div>";
						$result .= '<label>'.JText::_('Extention').'</label>';
						$result .= '<input type="text" name="JU_'.$field->alias.'_extention" id="JU_id_'.$field->alias.'_extention" value="'.$assigned_extention.'" class="inputbox" size="5" onBlur="validExtendedField(\''.$field->alias.'\', 0);"> ';
						$result .= "</div>";
					}
				} else {
					$result .= $field->fvalue;
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_country"   id="JU_id_'.$field->alias.'_country"   value="'.$assigned_country.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_city"      id="JU_id_'.$field->alias.'_city"      value="'.$assigned_city.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_phone"     id="JU_id_'.$field->alias.'_phone"     value="'.$assigned_phone.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_extention" id="JU_id_'.$field->alias.'_extention" value="'.$assigned_extention.'">';
				}
				break;
			case"file":
				//false untill the iphone become support for browse local files
				return false;
				if($changeable){
					if($field->fvalue){
						$result .= '<div id="'.$field->alias.'_file_tools">';
						$result .= '<span class="small">'.JText::_('Already existing file: ').'</span>';
						if($mainframe->isAdmin()){
							$result .= ' <a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::base().'images/filesave.png" >';
							$result .= '</a>';
						} else {
							$result .= '<a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::root().'components/com_juser/images/filesave.png" >';
							$result .= '</a>';
						}

						if($mainframe->isAdmin()){
							$img_file_delete = JURI::base()."components/com_juser/img/indicator_arrows.gif";
						} else {
							$img_file_delete = JURI::root()."components/com_juser/images/indicator_arrows.gif";
						}

						$result .= ' <span class="small">'.JText::_('Delete existing file: ').'</span>';

						$result .= '<a href="javascript: void(0);" onclick = "if(confirm(\''.JText::_('Do you realy want to remove this file?').'\')){xajax_juRemoveExistingFile('.$myuser->id.', '.$field->field_id.', \''.$field->alias.'\'); document.getElementById(\'id_file_remove_image_'.$field->alias.'\').src = \''.$img_file_delete.'\';}">';
						if($mainframe->isAdmin()){
							$result .= '<img src="'.JURI::base().'components/com_juser/img/trash.png" id="id_file_remove_image">';
						} else {
							$result .= '<img src="'.JURI::root().'components/com_juser/images/trash.png" id="id_file_remove_image_'.$field->alias.'">';
						}
						$result .= '</a>';

						$result .= '</div>';
					}
					$result .= '<input type="file"   name="JU_'.$field->alias.'"        id="JU_id_'.$field->alias.'">';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_hidden" id="JU_id_'.$field->alias.'_hidden" value="'.$field->fvalue.'">';

					if($field_params->get('legal_extensions','')){
						$extentions = str_replace( array("\r","\n"), "", $field_params->get('legal_extensions','') );
						$extentions = explode (',',$extentions);

						foreach( $extentions as $key => $extention ) $extentions[$key] = trim($extention);

						$extention_str = implode('|',$extentions);

						$JS .= 'var r       = new RegExp("'.$extention_str.'$", "i");'."\n";
						$JS .= 'if( '.$field->alias.'_error_msg == "" && form.JU_'.$field->alias.'.value != "" && !r.exec(form.JU_'.$field->alias.'.value)){'."\n";
						$JS .= $field->alias.'_error_msg = "'.JText::_('Extention of this file is not legal').'"'."\n";
						$JS .= '}'."\n";
					}
				} else {
					if($field->fvalue){
						$result .= '<div id="'.$field->alias.'_file_tools">';
						$result .= '<span class="small">'.JText::_('Already existing file: ').'</span>';
						if($mainframe->isAdmin()){
							$result .= ' <a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::base().'images/filesave.png" >';
							$result .= '</a>';
						} else {
							$result .= '<a href="'.JURI::root().$field_params->get('path_to_upload','').'/'.$field->fvalue.'" target = "_blank">';
							$result .= '<img src="'.JURI::root().'components/com_juser/images/filesave.png" >';
							$result .= '</a>';
						}
						$result .= '</div>';
					}
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_hidden" id="JU_id_'.$field->alias.'_hidden" value="'.$field->fvalue.'">';
				}
				break;
			case"link":
				$array = explode("^",$field->fvalue);
				if($changeable){
					$maxlenght  = $field_params->get('maxlength', 0) ? 'maxlength ="'.$field_params->get('maxlength', '10').'"' : '';
					$width      = $field_params->get('width', '')     ? 'size ="'.$field_params->get('width', '').'"'           : '';
					if (@$array[0] == ''){@$array[0] = $field_params->get('default_url', @$array[0]);}
					if (@$array[1] == ''){@$array[1] = $field_params->get('default_title', @$array[1]);}
					$result .= '<span class="labelike">'.$field->title.'</span><br>';
					$result .= '<label>'.JText::_("URL").'</label>';
					$result .= '<input type="text" name="JU_'.$field->alias.'_url" id="JU_id_'.$field->alias.'_url" value="'.$array[0].'" class="inputbox" '.$maxlenght.' '.$width.' onblur="validExtendedField(\''.$field->alias.'\', 0);"><br>';
					$result .= '<label>'.JText::_("Title").'</label>';
					$result .= '<input type="text" name="JU_'.$field->alias.'_title" id="JU_id_'.$field->alias.'_title" value="'.$array[1].'" class="inputbox" '.$maxlenght.' '.$width.' onblur="validExtendedField(\''.$field->alias.'\', 0);">';
				} else {
					$result .= $field->fvalue;
					$title   = (isset($array[1]) &&  $array[1]) ? $title = $array[1] : @$array[0];
					$result .= '<span class="labelike">'.$field->title.'</span>';
					$result .= '<a href="'.@$array[0].'">'.$title."</a>";
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_url" id="JU_id_'.$field->alias.'_url" value="'.$array[0].'" >';
					$result .= '<input type="hidden" name="JU_'.$field->alias.'_title" id="JU_id_'.$field->alias.'_title" value="'.$array[1].'" >';
				}
				break;
			case 'javascript':
					if ($changeable)
					{
						$result .= '<label>'.$field->title.'</label>';
						$result.='<input type="text" class="inputbox" name="JU_'.$field->alias.'" id="JU_'.$field->alias.'" value="'.htmlentities($field->fvalue, ENT_QUOTES).'">';
					}
					else
					{
						$result .= '<span class="labelike">'.$field->title.'</span>';
						$result .= JText::_('Not editable');
						$result .= '<input type="hidden" name="JU_'.$field->alias.'_title" id="JU_id_'.$field->alias.'_title" value="'.$field->fvalue.'" >';
					}
				break;
			case"separator":
				// Probably this is bad idea for use this kind of field at all, and more over bad idea use them into iphone registration.. but maybe I'm wrong
				return false;
				$class = ($field_params->get('class'))?'class="'.$field_params->get('class').'"': "";
				$result .= '<div '.$class.' >'.$field_params->get('contents').'</div>';
				break;
			default:
					return false;
				break;
		}
		return $result;
	}
	
	function getFieldsForPluginEvent($data)
	{
		
		$fieldIds = array_keys($data);
		$db = &JFactory::getDBO();
		$fieldIdsString = '0';
		if(count($fieldIds))
		{
			$fieldIdsString = implode(' , ',$fieldIds);
		}
		$sql = "SELECT * FROM #__juser_extended_fields WHERE id IN ({$fieldIdsString})";
		$db->setQuery($sql);
		$fields = $db->loadObjectList();
		for($i = 0; $i<count($fields); $i++)
		{
			$fields[$i]->value = $data[$fields[$i]->id];
		}
		return $fields;
		
	}
}
?>