<?php
/**
 * $Id: userfilter_by_value.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class JUUFilter
{
  function getFilters($fields)
  {
    $result  = '';
    $result .= '
    <script language="javascript">
      function switch_state_fieldset( alias ){
        var container = document.getElementById("container_"+alias);
        var img       = document.getElementById("fieldset_switch_img_"+alias);
        if(container.style.display == "block"){
          container.style.display = "none";
          img.src="images/expandall.png";
        } else {
          container.style.display = "block";
          img.src="images/collapseall.png";
        }
      }
      function set_all_values( alias, mode )
      {
        i=0;
        while(1){
          field_value = document.getElementById("field_values_"+alias+"_"+i);

          if( field_value.value == "_stop_karaul_ne_mogu_bolshe_" )
          { break;}

          field_value.checked=mode;

          i++;
        }
      }
    </script>

    <fieldset class="adminform">
			<legend>'.JText::_( 'JS User Filters' ).'</legend>
			<table class="admintable" width="100%">';

    foreach($fields as $field){
      $result .= '
        <tr>
           <td class="key" nowrap>
             <label for="fields">'
               .$field->title.
             '</label>
           </td>
           <td>'
             .JUUFilter::fieldValuesFilter($field).
           '</td>
        </tr>';
    }
    $result .= '
      </table>
      </fieldset>';
    return $result;
  }

  function fieldValuesFilter( $field )
  {
    switch($field->type){
      case 'text':
      case 'textarea':
        $result = JUUFilter::textFilter($field);
        break;
      case 'date':
      case 'calendar':
        $result = JUUFilter::dateFilter($field);
        break;
      case 'select':
      case 'radio':
	  case 'mult_select':
      case 'checkbox':
        $result = JUUFilter::multivalueFilter($field);
        break;
      case 'phone':
        $result = JUUFilter::phoneFilter($field);
        break;
    }

    return $result;
  }

  function textFilter($field)
  {
    $result  = '';

    $result .= '<input type="text"   name="value_filter['.$field->field_id.'][condition]">';

    $result .= '<input type="hidden" name="value_filter['.$field->field_id.'][type]" value="'.$field->type.'">';

    return $result;
  }

  function dateFilter($field)
  {
    $result  = '';
    $result .= '<table><tr><td>';
    $result .= '<small>'.JText::_('From').'</small>';
    $result .= '</td><td>';
    $result .= JHTML::_('calendar', '', 'value_filter['.$field->field_id.'][condition][date_from]', 'id_date_from_'.$field->alias, '%Y-%m-%d', array('class' => 'inputbox'));
    $result .= '</td></tr><tr><td>';
    $result .= '<small>'.JText::_('To').'</small>';
    $result .= '</td><td>';
    $result .= JHTML::_('calendar', '', 'value_filter['.$field->field_id.'][condition][date_to]', 'id_date_to_'.$field->alias, '%Y-%m-%d', array('class' => 'inputbox'));
    $result .= '</td></tr></table>';

    $result .= '<input type="hidden" name="value_filter['.$field->field_id.'][type]" value="'.$field->type.'">';

    return $result;
  }

  function multivalueFilter($field)
  {
    $field_values = JUUFilter::getFieldValues($field);

    $img  = '<a href="javascript: void(0);" onclick="switch_state_fieldset(\''.$field->alias.'\')">';
    $img .= '<img src="images/expandall.png" id="fieldset_switch_img_'.$field->alias.'">';
    $img .= '</a>';

    $result  = '';
    $result .= '<fieldset class="adminform" style="width:90%">';
		$result .= '<legend>'.JText::_( 'Values' ).' '.$img.'</legend>';
		$result .= '<div id="container_'.$field->alias.'" style="display:none">';
		$result .= '<a href="javascript: void(0);" onclick="set_all_values(\''.$field->alias.'\', true )">';
		$result .= JText::_('Select all');
		$result .= '</a>';
		$result .= ' / ';
		$result .= '<a href="javascript: void(0);" onclick="set_all_values(\''.$field->alias.'\', false )">';
		$result .= JText::_('Deselect all');
		$result .= '</a>';
		$result .= '<hr>';
		$result .= '<table><tr>';
		$column = 1;
    foreach($field_values as $key => $value){
      if($column > 4){
        $result .= '</tr><tr>';
        $column = 1;
      }
      $result .= '<td><input type="checkbox" name="value_filter['.$field->field_id.'][condition][]" id="field_values_'.$field->alias.'_'.$key.'" value="'.$value.'"> '.$value.'</td>';
      $column++;
    }
    $result .= '<input type="hidden" id="field_values_'.$field->alias.'_'.($key+1).'" value="_stop_karaul_ne_mogu_bolshe_">';
    $result .= '</tr></table>';
    $result .= '</div>';
    $result .= '</fieldset>';

    $result .= '<input type="hidden" name="value_filter['.$field->field_id.'][type]" value="'.$field->type.'">';

    return $result;
  }

  function phoneFilter($field)
  {
    $result = '';
    $result .= '<table><tr><td>';
    $result .= '<small>'.JText::_('Country code').'</small>';
    $result .= '</td><td>';
    $result .= '<small>'.JText::_('City code').'</small>';
    $result .= '</td><td>';
    $result .= '<small>'.JText::_('Phone').'</small>';
    $result .= '</td><td>';
    $result .= '<small>'.JText::_('Extention').'</small>';
    $result .= '</td></tr><tr><td>';
    $result .= '<input type="text" name="value_filter['.$field->field_id.'][condition][country]" size="7"> ';
    $result .= '</td><td>';
    $result .= '<input type="text" name="value_filter['.$field->field_id.'][condition][city]" size="5"> ';
    $result .= '</td><td>';
    $result .= '<input type="text" name="value_filter['.$field->field_id.'][condition][phone]" size="7"> ';
    $result .= '</td><td>';
    $result .= '<input type="text" name="value_filter['.$field->field_id.'][condition][extention]" size="5">';
    $result .= '</td></tr></table>';

    $result .= '<input type="hidden" name="value_filter['.$field->field_id.'][type]" value="'.$field->type.'">';

    return $result;
  }

  function getFieldValues($field)
	{
	  $db		 = & JFactory::getDBO();

    $query = "SELECT f.params"
    . "\n       FROM #__juser_extended_fields AS f"
   	. "\n      WHERE 1 AND f.id = ".$field->field_id
    ;
    $db->setQuery($query);
		$params_str = $db->loadResult();

		$params = new JParameter( $params_str );

		$field_value_list = $params->get('values');
		if($field_value_list){
  		$field_value_list = explode( "\n", str_replace( "\r", "", $field_value_list ) );

  		sort($field_value_list);
		} else {
      return array();
    }
		return $field_value_list;
	}
}
?>