<?php
/**
 * $Id: pie_graph.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
$data = $this->data_y;

$graph = new PieGraph(800,300,"auto");

$graph->SetShadow(FALSE);
$graph->SetFrame(FALSE);

$graph->title->Set($this->label);

$graph->SetBackgroundImage(JPATH_COMPONENT.DS.'img'.DS.'background.png',BGIMG_COPY);

$p1 = new PiePlot($data);

$p1->SetCenter(0.32,0.5);

$p1->ExplodeAll(2);
$p1->SetShadow( '#CDCDCD', '4');

//$p1->SetColor('#CDCDCD');
//$p1->ShowBorder(false);
$p1->value->SetFormat('%2.1f%%');

$p1->value->Show();


//$p1->SetFont(FF_CHINESE);
//$p1->value->SetFontColor('#0B55C4');
$p1->value->SetFormat('%2.1f%%');

$p1->SetTheme('earth');

$p1->SetLegends($this->data_x);

$p1->SetGuideLines();
$p1->SetGuideLinesAdjust(1.4);

$graph->legend->SetColor( '#444444', '#CDCDCD' );
$graph->legend->SetFillColor( '#FFFFFF' );
$graph->legend->SetShadow( "#CDCDCD", 3 );

$graph->Add($p1);

header('Content-type: image/jpeg');
$graph->Stroke();

exit;
?>