<?php
/**
 * $Id: default.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyRegistration by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
global $Itemid;
JHTML::script('joomla.javascript.js', 'includes/js/')
?>
<script language="javascript">
  function js_charFilter( obj, regex ) { obj.value = obj.value.replace( regex , "" ); }
</script>
<form action="<?php echo $this->action; ?>" method="post" name="adminForm">
<div class="componentheading"><?php echo JText::_('User list'); ?></div>
  <table><tr>
      <td colspan="2"  align="right">
			 <?php if($this->params->get('show_zip_filters')) { ?>
  				<?php echo JText::_( 'Search by distance' ); ?>:
  				<input type="text" name="search_zip_distance" id="juser_search_zip_distance" value="<?php echo $this->search_zip_distance;?>" maxlength="5" onkeyup="js_charFilter(this, /[^0-9.]/g )"/>

  				<?php echo JText::_( 'from ZIP Code' ); ?>:
  				<input type="text" name="search_self_zip_code" id="juser_search_zip_from" value="<?php echo $this->search_self_zip_code;?>" maxlength="10" onkeyup="js_charFilter(this, /[^0-9a-zA-Z]/g )"/>

  				<?php echo JText::_( 'within' ); ?>:
  				<?php echo $this->lists['search_zip_point']; ?>
  				<button onclick="this.form.submit();">
  				  <?php echo JText::_( 'Go' ); ?>
  				</button>
  		  <?php } ?>
			</td>
    </tr><tr>
			<td width="100%">
			 <?php if($this->params->get('show_filter_by_word')) { ?>
  				<?php echo JText::_( 'Filter' ); ?>:
  				<input type="text" name="search" id="juser_search" value="<?php echo $this->search;?>" onchange="document.adminForm.submit();"/>
  				<button onclick="this.form.submit();">
  				  <?php echo JText::_( 'Go' ); ?>
  				</button>
  				<button onclick="document.getElementById('juser_search').value='';
                           document.getElementById('filter_type').value='0';
                           document.getElementById('filter_logged').value='0';
                           this.form.submit();">
  				  <?php echo JText::_( 'Reset' ); ?>
  				</button>
  		  <?php } ?>
			</td>
			<td nowrap="nowrap">
			  <?php if($this->params->get('show_filter_by_group')) { ?>
				  <?php echo $this->lists['type']; ?>
				<?php } ?>
				<?php if($this->params->get('show_filter_by_logstatus')) { ?>
				  <?php echo $this->lists['logged']; ?>
				<?php } ?>
			</td>
		</tr><tr>
		  <td colspan="2" align="right">

		    <?php if($this->params->get('show_block_filters')) { ?>
		      <?php echo $this->lists['extended_fields_filters']; ?>
		    <?php } ?>

		  </td>
  </tr>

  </table>
  <table width="100%">
  	<tr>
  	<?php if (JU_REGISTRATION_FORM_LAST_NAME_ENABLE):?>
  		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Fist Name', 'first_name', $this->lists['order_Dir'], $this->lists['order']); ?></td>
  		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Last Name', 'last_name', $this->lists['order_Dir'], $this->lists['order']); ?></td>
  	<?php else:?>
  		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Name', 'a.name', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
  	<?php endif;?>
		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Username', 'a.username', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Registration Date', 'a.registerDate', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Last Visit', 'a.lastvisitDate', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
		<td class="sectiontableheader"><?php echo JHTML::_('grid.sort',  'Usertype', 'a.usertype', $this->lists['order_Dir'], $this->lists['order'] ); ?></td>
  	</tr>
  </table>
  <table class="contentpaneopen"><tr><td>
  <?php
  if (count($this->users)>0):
  foreach($this->users as $user){
    $registerDate	 = new JDate( $user->registerDate );
    $lastvisitDate = new JDate( $user->lastvisitDate );
    ?>
    <fieldset>
      <div>
      <div class="contentheading"><?php if (JU_LIST_USERNAME) {echo $user->username; } if(JU_LIST_GROUP){ ?> <small><small>(<?php echo $user->usertype; ?>)</small><?php }?></small></div>
      <table>
      <tr>
        <?php
        if(JU_LIST_AVATAR){ ?>
        <td valign="top" width="128" align="center"><img src="<?php echo $this->getAvatarPath($user); ?>"></td>
        <?php } ?>
        <td>
          <table>
   	      <?php if (JU_REGISTRATION_FORM_LAST_NAME_ENABLE)
   	      {
	          $first_name = trim ($user->first_name);
	          if(JU_LIST_FIRSTNAME && strlen($first_name) && $this->params->get('show_user_first_name')){ ?>
	          <tr>
	            <td nowrap="nowrap"><b><?php echo JText::_('First Name'); ?>:</b></td><td><?php echo $first_name; ?></td>
	          </tr>
	          <?php }
	          $last_name = trim ($user->last_name);
	          if(JU_CARD_LASTNAME && strlen($last_name &&  $this->params->get('show_user_last_name'))){ ?>
	          <tr>
	            <td nowrap="nowrap"><b><?php echo JText::_('Last Name'); ?>:</b></td><td><?php echo $last_name; ?></td>
	          </tr>
	          <?php }?>
	          <?php 
   	      }
          else
          {
			  $name = trim ($user->name);
	          if(JU_LIST_FIRSTNAME && strlen($name) && $this->params->get('show_user_first_name'))
	          { ?>
	          <tr>
	            <td nowrap="nowrap"><b><?php echo JText::_('Name'); ?>:</b></td><td><?php echo $name; ?></td>
	          </tr>
      	  	  <?php 
	      	  }
          }
          if(JU_LIST_EMAIL && $this->params->get('show_user_email')){ ?>
          <tr>
            <td nowrap="nowrap"><b><?php echo JText::_('Email'); ?>:</b></td><td><?php echo $user->email; ?></td>
          </tr>
          <?php }
          if(JU_LIST_REGDATE && $this->params->get('show_user_registration_date')){ ?>
          <tr>
            <td nowrap="nowrap"><b><?php echo JText::_('Registration Date'); ?>:</b></td><td><?php echo $registerDate->toFormat(JText::_('DATE_FORMAT_LC1')); ?></td>
          </tr>
          <?php }
          if(JU_LIST_LVISIT && ($user->lastvisitDate != '' && $user->lastvisitDate!='0000-00-00 00:00:00') && $this->params->get('show_user_last_visit')){ ?>
          <tr>
            <td nowrap="nowrap"><b><?php echo JText::_('Last Visit'); ?>:</b></td><td><?php echo $lastvisitDate->toFormat(JText::_('DATE_FORMAT_LC1'));?></td>
          </tr>
          <?php }

          foreach( $user->additional_data as $field ){

            unset($some_date);
            $params = new JParameter($field->params);

            ?>
            <tr>
            <td nowrap="nowrap" valign="top">
              <b><?php echo $field->title ?>:</b>
            </td>
            <td><?php
            echo JSUserFrontHelper::renderFieldForPrint($user->id, $field);
              /*if( in_array( $field->type, array('date', 'calendar')) && !$params->get('make_dynamic', 0) ){
                $some_date = new JDate( $field->fvalue );
                echo $some_date->toFormat(JText::_('DATE_FORMAT_LC'));
              }
	           else if ($field->type == 'file')
	            {
					?><a target="_blank" href="<?php echo JURI::root().$params->get('path_to_upload').'/'.$field->fvalue; ?>"><?php echo $field->fvalue; ?></a>
					<?php
	            }
	           else if ($field->type == 'textarea')
	            {
	            	echo nl2br($field->fvalue);
	            }
          		else if ($field->type == 'link')
	            {
					$linkArray = explode("^", $field->fvalue);
	            	$linkUrl = @$linkArray[0];
	            	$linkTitle = (isset($linkArray[1]) && $linkArray[1])? $linkArray[1]:$linkArray[2];
	            	echo "<a href='{$linkUrl}' target='_blank' title='{$linkTitle}' />$linkTitle</a>";
	            }
	            else if($field->type == 'date' && $params->get('make_dynamic', 0))
	            {
	            	echo JSUserHelper::countDateInterval($field->fvalue).' '.JText::_("Years");
	            }

              else {
                echo $field->fvalue;
              }*/

            ?></td>
            </tr>
            <?php
          }
          ?>
          <tr>
            <td>
              <a href="<?php echo JRoute::_("index.php?option=com_juser&view=userlist&layout=profile&id={$user->id}&Itemid={$Itemid}"); ?>" class="readon">
              <?php echo JText::_('More...'); ?></a>
            </td>
          </tr>
          </table>
        </td>
      </tr>
      </table>
      </div>
    </fieldset>
    <?php
  }
  	else:
  		echo JText::_('No Users');
	endif;
  ?>
  </td></tr></table>

  <table width="100%">
    <tr><td align=center>
     	<?php echo $this->pagination->getListFooter(); ?>
    </td></tr>
  </table>

  <input type="hidden" name="option"  value="com_juser" />
  <input type="hidden" name="view"    value="userlist" />
  <input type="hidden" name="layout"  value="default" />
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="" />
</form>